*--------------------------------------------------------------------------*
       TITLE   'Data'                                                   5258
* Keep constants early
*
*      Fatal Error Message Pointers                                     6446
*
MSGLST DESCR   0,0,0                                                    6448
       DESCR   MSG1,0,0                                                 6449
       DESCR   MSG2,0,0                                                 6450
       DESCR   MSG3,0,0                                                 6451
       DESCR   MSG4,0,0                                                 6452
       DESCR   MSG5,0,0                                                 6453
       DESCR   MSG6,0,0                                                 6454
       DESCR   MSG7,0,0                                                 6455
       DESCR   MSG8,0,0                                                 6456
       DESCR   MSG9,0,0                                                 6457
       DESCR   MSG10,0,0                                                6458
       DESCR   MSG11,0,0                                                6459
       DESCR   MSG12,0,0                                                6460
       DESCR   MSG13,0,0                                                6461
       DESCR   MSG14,0,0                                                6462
       DESCR   MSG15,0,0                                                6463
       DESCR   MSG16,0,0                                                6464
       DESCR   MSG17,0,0                                                6465
       DESCR   MSG18,0,0                                                6466
       DESCR   MSG19,0,0                                                6467
       DESCR   MSG20,0,0                                                6468
       DESCR   MSG21,0,0                                                6469
       DESCR   MSG22,0,0                                                6470
       DESCR   MSG23,0,0                                                6471
       DESCR   MSG24,0,0                                                6472
       DESCR   MSG25,0,0                                                6473
       DESCR   MSG26,0,0                                                6474
       DESCR   MSG27,0,0                                                6475
       DESCR   MSG28,0,0                                                6476
       DESCR   MSG29,0,0
       DESCR   MSG30,0,0
*
*      Fatal Error Messages                                             6478
*
MSG1   STRING  'Illegal data type'                                      6480
MSG2   STRING  'Error in arithmetic operation'                          6481
MSG3   STRING  'Erroneous array or table reference'                     6482
MSG4   STRING  'Null string in illegal context'                         6483
MSG5   STRING  'Undefined function or operation'                        6484
MSG6   STRING  'Erroneous prototype'                                    6485
MSG7   STRING  'Unknown keyword'                                        6486
MSG8   STRING  'Variable not present where required'                    6487
MSG9   STRING  'Entry point of function not label'                      6488
MSG10  STRING  'Illegal argument to primitive function'                 6489
MSG11  STRING  'Reading beyond end of file or nonexistent file'         6490
MSG12  STRING  'Illegal I/O unit'                                       6491
MSG13  STRING  'Limit on defined data types exceeded'                   6492
MSG14  STRING  'Negative number in illegal context'                     6493
MSG15  STRING  'String overflow'                                        6494
MSG16  STRING  'Overflow during pattern matching'                       6495
MSG17  STRING  'Error in SNOBOL5 system'                                6496
MSG18  STRING  'Return from level zero'                                 6497
MSG19  STRING  'Failure during goto evaluation'                         6498
MSG20  STRING  'Insufficient storage to continue'                       6499
MSG21  STRING  'Stack overflow'                                         6500
MSG22  STRING  'Limit on statement execution exceeded'                  6501
MSG23  STRING  'Object exceeds size limit'                              6502
MSG24  STRING  'Undefined or erroneous goto'                            6503
MSG25  STRING  'Incorrect number of arguments'                          6504
MSG26  STRING  'Limit on compilation errors exceeded'                   6505
MSG27  STRING  'Erroneous end statement'                                6506
MSG28  STRING  'Execution of statement with compilation error'          6507
MSG29  STRING  'NAN used in illegal context'
MSG30  STRING  'Error during write'
*
*      Compiler Error Messages                                          6509
*
EMSG1  STRING  'Erroneous label'                                        6511
EMSG2  STRING  'Previously defined label'                               6512
EMSG3  STRING  'Erroneous subject'                                      6513
EMSG14 STRING  'Error in goto'                                          6514
ILCHAR STRING  'Illegal character in element'                           6515
ILLBIN STRING  'Binary operator missing or in error'                    6516
ILLBRK STRING  'Erroneous or missing break character'                   6517
ILLDEC STRING  'Erroneous real number'                                  6518
ILLEOS STRING  'Improperly terminated statement'                        6519
ILLINT STRING  'Erroneous integer'                                      6520
OPNLIT STRING  'Unclosed literal'                                       6521
EJECTF STRING  ''                                                      6527
IBUFFER STRING  '+123456789012345678900' For INTSPC
DIRENTSP STRING 'DirEnt(DEname,DEtype,DEdate,DEsize)' ####
DIRENTTYP DESCR DESCR*4,0,0 Defined data type number for DirEnt
TEMPVAL DESCR   123,0,I ####
*
*      Formats                                                          6523
*
* \# for substituting an integer
* \F for substituting a real number
* \^M for inserting a carriage return character 0Dh
* \^J for inserting a line feed character 0Ah
*
ARTHNO FORMAT  '\# Arithmetic operations performed'                     6525
CMTIME FORMAT  '\F Sec. Compilation time (wall clock)'                  6526
ERRCF  FORMAT  '\^M\^J\# Syntax error(s) detected in source program'    6528
EXNO   FORMAT  '\# Statements executed, \# Failed'                      6529
FTLCF  FORMAT  '\^M\^JError \# in statement \# at level \#'
*                                                               E3.4.1
INCGCF FORMAT  'Incomplete storage regeneration'                        6531
INTIME FORMAT  '\F Sec. Execution time (wall clock)'                    6532
LASTSF FORMAT  'Last statement executed was \#'                         6533
NODMPF FORMAT  'Terminal dump not possible'                             6534
NRMEND FORMAT  '\^M\^JNormal termination at level \#'                   6535
NVARF  FORMAT  'Natural variables:'                                     6536
PKEYF  FORMAT  'Unprotected keywords:'                                  6537
PRTOVF FORMAT  '***Print request too long***'                           6538
READNO FORMAT  '\# Reads performed'                                     6539
SCANNO FORMAT  '\# Pattern matches performed'                           6540
STATHD FORMAT  '\^M\^JSNOBOL5 Statistics summary:'                      6542
STDMP  FORMAT  '\^M\^JDump of variables at termination:'                6543
STGENO FORMAT  '\# Regenerations of dynamic storage'                    6544
SUCCF  FORMAT  '\^M\^JNo syntax errors detected in source program'      6545
SYSCMT FORMAT  '\^M\^JInterrupted in stmt \# at level \# at STCOUNT \#'
WRITNO FORMAT  '\# Writes performed'                                    6549
*                                                               E3.4.1
TIMEPS FORMAT  '\F nSec. Average per statement executed (wall clock)'   6547
TITLEF FORMAT  'The Oregon SNOBOL5 Interpreter'
* TITLEF should be big enough for "BUFFER" to hold date+time string etc
SOURCF FORMAT  'Version 5.00 Writen by Viktors Berstis 1983-2023'       6541
ALOCFL FORMAT  'Insufficient storage for initialization' E3.10.6
*
*
AREFN  DESCR   ITEM,FNF,1          Array or table reference             6105
ASGNFN DESCR   ASGN,0,2            X = Y                                6106
BASEFN DESCR   BASE,0,0            Base object code                     6107
ENDAFN DESCR   ARGNER,0,0          Safety exit on trace psuedo-code     6108
ENDFN  DESCR   ENDQ,0,0            End of program                       6109
ERORFN DESCR   EROR,0,1            Erroneous statement                  6110
FNTRFN DESCR   FENTR,0,2           Call tracing                         6111
FXTRFN DESCR   FNEXTR,0,2          Return tracing                       6112
GOTGFN DESCR   GOTG,0,1            :<X>                                 6113
GOTLFN DESCR   GOTL,0,1            :(L)                                 6114
GOTOFN DESCR   GOTOI,0,1           Internal goto                        6115
INITFN DESCR   INIT,0,1            Statement initialization             6116
KEYTFN DESCR   KEYTR,0,2           Keyword tracing                      6117
LABTFN DESCR   LABTR,0,2           Label tracing                        6118
LITFN  DESCR   LIT,0,1             Literal evaluation                   6119
SCANFN DESCR   SCAN,0,2            Pattern matching                     6120
SJSRFN DESCR   SJSR,0,3            Pattern matching with replacement    6121
VLTRFN DESCR   VALTR,0,2           Value tracing                        6122
ANYCFN DESCR   ANYC,0,3            Matching for ANY(S)                  6123
ARBFFN DESCR   ARBF,0,2            Failure for ARB                      6124
ARBNFN DESCR   ARBN,0,2            Matching for ARBNO(P)                6125
ATOPFN DESCR   ATP,0,3             Matching for @X                      6126
CHRFN  DESCR   CHR,0,3             Matching for string                  6127
BALFN  DESCR   BAL,0,2             Matching for BAL                     6128
BALFFN DESCR   BALF,0,2            Failure for BAL                      6129
MXARFN DESCR   MXAR,0,2            Matching for MAXARB
MXAFFN DESCR   MXARF,0,2           Failure for MAXARB
BRKCFN DESCR   BRKC,0,3            Matching for BREAK(S)                6130
DNMEFN DESCR   DNME,0,2                                                 6131
DNMIFN DESCR   DNME1,0,2                                                6132
EARBFN DESCR   EARB,0,2                                                 6133
DSARFN DESCR   DSAR,0,3                                                 6134
ENMEFN DESCR   ENME,0,3                                                 6135
ENMIFN DESCR   ENMI,0,3                                                 6136
FARBFN DESCR   FARB,0,2                                                 6137
FNMEFN DESCR   FNME,0,2                                                 6138
LNTHFN DESCR   LNTH,0,3            Matching for LEN(N)                  6139
NMEFN  DESCR   NME,0,2                                                  6140
NNYCFN DESCR   NNYC,0,3            Matching for NOTANY(S)               6141
ONARFN DESCR   ONAR,0,2                                                 6142
ONRFFN DESCR   ONRF,0,2                                                 6143
POSIFN DESCR   POSI,0,3            Matching for POS(N)                  6144
RPSIFN DESCR   RPSI,0,3            Matching for RPOS(N)                 6145
RTBFN  DESCR   RTB,0,3             Matching for RTAB(N)                 6146
SALFFN DESCR   SALF,0,2                                                 6147
SCFLFN DESCR   FAIL,0,2                                                 6148
SCOKFN DESCR   SCOK,0,2            Successful match procedure           6149
SCONFN DESCR   SCON,0,2                                                 6150
SPNCFN DESCR   SPNC,0,3            Matching for SPAN(S)                 6151
NSPCFN DESCR   NSPNC,0,3           Matching for NOTSPAN(S)
STARFN DESCR   STARE,0,3           Matching for *X                      6152
TBFN   DESCR   TB,0,3              Matching for TAB(N)                  6153
ABORFN DESCR   RTNUL3,0,3          Matching for ABORT                   6154
FNCEFN DESCR   FNCE,0,2            Matching for FENCE                   6155
FNCFFN DESCR   RTNUL3,0,2          Failure for FENCE                    6156
SUCFFN DESCR   SUCF,0,2            Matching for SUCCEED                 6157
*
*      Initialization Data for Functions                                6159
*
BUFSP    DHERE   ,                 This area used as a buffer after init
ABNDSP   STRING  'ABEND'                                                6161
ABORSP   STRING  'ABORT'                                                6162
ABSSP    STRING  'ABS'
ABSSPlc  STRING  'abs'
ALNMSP   STRING  'ALPHABET'                                             6163
ANCHSP   STRING  'ANCHOR'                                               6164
ANDSP    STRING  'AND'
ANDSPlc  STRING  'and'
ANYSP    STRING  'ANY'                                                  6165
ANYSPlc  STRING  'any'
APLYSP   STRING  'APPLY'                                                6166
APLYSPlc STRING  'apply'
ARBSP    STRING  'ARB'                                                  6167
ARBNSP   STRING  'ARBNO'                                                6168
ARBNSPlc STRING  'arbno'
ARGSP    STRING  'ARG'                                                  6169
ARGSPlc  STRING  'arg'
ATANSP   STRING  'ATAN'
ATANSPlc STRING  'atan'
ATAN2SP  STRING  'ATAN2'
ATAN2SPlc STRING 'atan2'
BACKSP   STRING  'BACKSPACE'                                            6170
BACKSPlc STRING  'backspace'
BALSP    STRING  'BAL'                                                  6171
BITSP    STRING  'BIT'
BITSPlc  STRING  'bit'
B2HSP    STRING  'BIT2H'
B2HSPlc  STRING  'bit2h'
B2ISP    STRING  'BIT2I'
B2ISPlc  STRING  'bit2i'
B2ISSP   STRING  'BIT2IS'
B2ISSPlc STRING  'bit2is'
B2RSP    STRING  'BIT2R'
B2RSPlc  STRING  'bit2r'
B2SSP    STRING  'BIT2S'
B2SSPlc  STRING  'bit2s'
BRKSP    STRING  'BREAK'                                                6172
BRKSPlc  STRING  'break'
BRXSP    STRING  'BREAKX'
BRXSPlc  STRING  'breakx'
BY2ISP   STRING  'BYTES2I'
BY2ISPlc STRING  'bytes2i'
BY2ISSP  STRING  'BYTES2IS'
BY2ISSPlc STRING 'bytes2is'
BY2RSP   STRING  'BYTES2R'
BY2RSPlc STRING  'bytes2r'
BYS2RSP  STRING  'BYTESS2R'
BYS2RSPlc STRING 'bytess2r'
BYX2RSP  STRING  'BYTESX2R'
BYX2RSPlc STRING 'bytesx2r'
TRFRSP   STRING  'CALL'                                                 6173
CNTRSP   STRING  'CENTER'
CNTRSPlc STRING  'center'
CHARSP   STRING  'CHAR'
CHARSPlc STRING  'char'
CLERSP   STRING  'CLEAR'                                                6174
CLERSPlc STRING  'clear'
CODESP   STRING  'CODE'                                                 6175
CODESPlc STRING  'code'
CLSP     STRING  'COLLECT'                                              6176
CLSPlc   STRING  'collect'
CNVTSP   STRING  'CONVERT'                                              6177
CNVTSPlc STRING  'convert'
COPYSP   STRING  'COPY'                                                 6178
COPYSPlc STRING  'copy'
COSSP    STRING  'COS'
COSSPlc  STRING  'cos'
DATASP   STRING  'DATA'                                                 6180
DATASPlc STRING  'data'
DTSP     STRING  'DATATYPE'                                             6184
DTSPlc   STRING  'datatype'
DATSP    STRING  'DATE'                                                 6179
DATSPlc  STRING  'date'
DEFISP   STRING  'DEFINE'                                               6181
DEFISPlc STRING  'define'
DTCHSP   STRING  'DETACH'                                               6183
DTCHSPlc STRING  'detach'
DIFFSP   STRING  'DIFFER'                                               6182
DIFFSPlc STRING  'differ'
DIGNMSP  STRING  'DIG'
DUMPSP   STRING  'DUMP'                                                 6185
DUMPSPlc STRING  'dump'
DUPLSP   STRING  'DUPL'                                                 6186
DUPLSPlc STRING  'dupl'
EVSP     STRING  'E'
ENDSP    STRING  'END'                                                  6187
ENDSPlc  STRING  'end'
ENDFSP   STRING  'ENDFILE'                                              6188
ENDFSPlc STRING  'endfile'
ENDIBSP  STRING  'ENDIANB'
ENDIBSPlc STRING 'endianb'
ENDIHSP  STRING  'ENDIANH'
ENDIHSPlc STRING 'endianh'
EQSP     STRING  'EQ'                                                   6189
EQSPlc   STRING  'eq'
ERRLSP   STRING  'ERRLIMIT'                                             6190
ERRTSP   STRING  'ERRTYPE'                                              6191
EVALSP   STRING  'EVAL'                                                 6192
EVALSPlc STRING  'eval'
EXPSP    STRING  'EXPRESSION'                                           6193
FAILSP   STRING  'FAIL'                                                 6194
FNCESP   STRING  'FENCE'                                                6195
FLDSSP   STRING  'FIELD'                                                6196
FLDSSPlc STRING  'field'
FLTDECSP STRING  'FLTDEC'
FLTSIGSP STRING  'FLTSIG'
FNCLSP   STRING  'FNCLEVEL'                                             6197
FRETSP   STRING  'FRETURN'                                              6198
FTRCSP   STRING  'FTRACE'                                               6199
FULLSP   STRING  'FULLSCAN'                                             6200
FUNTSP   STRING  'FUNCTION'                                             6201
GESP     STRING  'GE'                                                   6202
GESPlc   STRING  'ge'
GENVSP   STRING  'GETENV'
GENVSPlc STRING  'getenv'
GTSP     STRING  'GT'                                                   6203
GTSPlc   STRING  'gt'
HEXSP    STRING  'HEX'
HEXSPlc  STRING  'hex'
H2BSP    STRING  'HEX2B'
H2BSPlc  STRING  'hex2b'
H2ISP    STRING  'HEX2I'
H2ISPlc  STRING  'hex2i'
H2ISSP   STRING  'HEX2IS'
H2ISSPlc STRING  'hex2is'
H2RSP    STRING  'HEX2R'
H2RSPlc  STRING  'hex2r'
H2SSP    STRING  'HEX2S'
H2SSPlc  STRING  'hex2s'
HS2RSP   STRING  'HEXS2R'
HS2RSPlc STRING  'hexs2r'
HX2RSP   STRING  'HEXX2R'
HX2RSPlc STRING  'hexx2r'
I2BYSP   STRING  'I2BYTES'
I2BYSPlc STRING  'i2bytes'
IDENSP   STRING  'IDENT'                                                6204
IDENSPlc STRING  'ident'
INFSP    STRING  'INFINITY'
INSP     STRING  'INPUT'                                                6205
INSPlc   STRING  'input'
INTSP    STRING  'INT'
INTSPlc  STRING  'int'
INTGSP   STRING  'INTEGER'                                              6206
INTGSPlc STRING  'integer'
IOERSP   STRING  'IOERR'
IOFUSP   STRING  'IO_FINDUNIT'
IOFUSPlc STRING  'io_findunit'
ISNANSP  STRING  'ISNAN'
ISNANSPlc STRING 'isnan'
ITEMSP   STRING  'ITEM'                                                 6207
ITEMSPlc STRING  'item'
TRKYSP   STRING  'KEYWORD'                                              6208
ISLABSP  STRING  'LABEL'
ISLABSPlc STRING 'label'
TRLASP   STRING  'LABEL'                                                6209
LSTNSP   STRING  'LASTNO'                                               6210
lcNMSP   STRING  'lc'
LESP     STRING  'LE'                                                   6212
LESPlc   STRING  'le'
LENSP    STRING  'LEN'                                                  6211
LENSPlc  STRING  'len'
LEQSP    STRING  'LEQ'
LEQSPlc  STRING  'leq'
LGESP    STRING  'LGE'
LGESPlc  STRING  'lge'
LGTSP    STRING  'LGT'                                                  6213
LGTSPlc  STRING  'lgt'
LLESP    STRING  'LLE'
LLESPlc  STRING  'lle'
LLTSP    STRING  'LLT'
LLTSPlc  STRING  'llt'
LNESP    STRING  'LNE'
LNESPlc  STRING  'lne'
LOADSP   STRING  'LOAD'                                                 6214
LOBSP    STRING  'LOB'
LOBSPlc  STRING  'lob'
LOCSP    STRING  'LOCAL'                                                6215
LOCSPlc  STRING  'local'
LOGSP    STRING  'LOG'
LOGSPlc  STRING  'log'
LOG10SP  STRING  'LOG10'
LOG10SPlc STRING 'log10'
LOG2SP   STRING  'LOG2'
LOG2SPlc STRING  'log2'
LPADSP   STRING  'LPAD'
LPADSPlc STRING  'lpad'
LTSP     STRING  'LT'                                                   6216
LTSPlc   STRING  'lt'
MAXSP    STRING  'MAX'
MAXSPlc  STRING  'max'
MXARSP   STRING  'MAXARB'
MAXLSP   STRING  'MAXLNGTH'                                             6217
MINSP    STRING  'MIN'
MINSPlc  STRING  'min'
NAMESP   STRING  'NAME'                                                 6218
NANSP    STRING  'NAN'
NANDSP   STRING  'NAND'
NANDSPlc STRING  'nand'
NESP     STRING  'NE'                                                   6219
NESPlc   STRING  'ne'
NORSP    STRING  'NOR'
NORSPlc  STRING  'nor'
NOTSP    STRING  'NOT'
NOTSPlc  STRING  'not'
NNYSP    STRING  'NOTANY'                                               6220
NNYSPlc  STRING  'notany'
NRETSP   STRING  'NRETURN'                                              6221
OPSNSP   STRING  'OPSYN'                                                6222
OPSNSPlc STRING  'opsyn'
ORSP     STRING  'OR'
ORSPlc   STRING  'or'
OSNM     STRING  'OS'                     Operating system &OS
OUTSP    STRING  'OUTPUT'                                               6223
OUTSPlc  STRING  'output'
PRNMSP   STRING  'PARM'
PATSP    STRING  'PATTERN'                                              6224
*
PE3SP    STRING  'PE3'                  ##custom##
PE3KEYSP STRING  'PE3key'               ##custom##
PE3XSP   STRING  'PE3x'                 ##custom##
PE3YSP   STRING  'PE3y'                 ##custom##
PE3BCSP  STRING  'PE3bc'                ##custom##
PE3XORSP STRING  'PE3xx'                ##custom##
PE3YORSP STRING  'PE3yy'                ##custom##
PE3XMXSP STRING  'PE3xmax'              ##custom##
PE3YMXSP STRING  'PE3ymax'              ##custom##
PE3CURSP STRING  'PE3cur'               ##custom##
PE3COLSP STRING  'PE3col'               ##custom##
*
PISP     STRING  'PI'
POSSP    STRING  'POS'                                                  6225
POSSPlc  STRING  'pos'
PRTSP    STRING  'PROTOTYPE'                                            6226
PRTSPlc  STRING  'prototype'
PNCHSP   STRING  'PUNCH'                                                6227
R2BYSP   STRING  'R2BYTES'
R2BYSPlc STRING  'r2bytes'
R2BYSSP  STRING  'R2BYTESS'
R2BYSSPlc STRING 'r2bytess'
R2BYXSP  STRING  'R2BYTESX'
R2BYXSPlc STRING 'r2bytesx'
R2HEXSSP STRING  'R2HEXS'
R2HEXSSPlc STRING 'r2hexs'
R2HEXXSP STRING  'R2HEXX'
R2HEXXSPlc STRING 'r2hexx'
RANDSP   STRING  'RAND'
RANDSPlc STRING  'rand'
RLSP     STRING  'REAL'                                                 6228
RLSPlc   STRING  'real'
REMSP    STRING  'REM'                                                  6229
REMDSP   STRING  'REMDR'                                                6230
REMDSPlc STRING  'remdr'
RPLCSP   STRING  'REPLACE'                                              6233
RPLCSPlc STRING  'replace'
RETSP    STRING  'RETURN'                                               6231
RVRSSP2  STRING  'REV'
RVRSSPlc2 STRING 'rev'
RVRSSP   STRING  'REVERSE'
RVRSSPlc STRING  'reverse'
REWNSP   STRING  'REWIND'                                               6232
REWNSPlc STRING  'rewind'
RPADSP   STRING  'RPAD'
RPADSPlc STRING  'rpad'
RPOSSP   STRING  'RPOS'                                                 6234
RPOSSPlc STRING  'rpos'
RTABSP   STRING  'RTAB'                                                 6235
RTABSPlc STRING  'rtab'
RTYPSP   STRING  'RTNTYPE'                                              6236
SAVSP    STRING  'SAVE'
SEEKSP   STRING  'SEEK'
SEEKSPlc STRING  'seek'
SINSP    STRING  'SIN'
SINSPlc  STRING  'sin'
SIZESP   STRING  'SIZE'                                                 6237
SIZESPlc STRING  'size'
SLEEPSP  STRING  'SLEEP'
SLEEPSPlc STRING 'sleep'
SORTSP   STRING  'SORT'
SORTSPlc STRING  'sort'
SPANSP   STRING  'SPAN'                                                 6238
SPANSPlc STRING  'span'
NSPNSP   STRING  'SPANNOT'
NSPNSPlc STRING  'spannot'
SQRTSP   STRING  'SQRT'
SQRTSPlc STRING  'sqrt'
STATSP   STRING  'STAT'
STCTSP   STRING  'STCOUNT'                                              6239
STFCSP   STRING  'STFCOUNT'                                             6240
STLMSP   STRING  'STLIMIT'                                              6241
STNOSP   STRING  'STNO'                                                 6243
STPTSP   STRING  'STOPTR'                                               6242
STPTSPlc STRING  'stoptr'
STRSP    STRING  'STR'
STRSPlc  STRING  'str'
VARSP    STRING  'STRING'                                               6244
SSTRSP   STRING  'SUBSTR'
SSTRSPlc STRING  'substr'
SUCCSP   STRING  'SUCCEED'                                              6245
SYSTSP   STRING  'SYSTEM'
SYSTSPlc STRING  'system'
TABSP    STRING  'TAB'                                                  6246
TABSPlc  STRING  'tab'
TANSP    STRING  'TAN'
TANSPlc  STRING  'tan'
TERMSP   STRING  'TERMINAL'
TIMSP    STRING  'TIME'                                                 6247
TIMSPlc  STRING  'time'
TRCESP   STRING  'TRACE'                                                6248
TRCESPlc STRING  'trace'
TRMSP    STRING  'TRIM'                                                 6249
TRMSPlc  STRING  'trim'
UCNMSP   STRING  'UC'
UNLDSP   STRING  'UNLOAD'                                               6250
VALSP    STRING  'VALUE'                                                6251
VALSPlc  STRING  'value'
XORSP    STRING  'XOR'
XORSPlc  STRING  'xor'
*
CRDFSP STRING  ''        obsolete: '(80A1)'      Default punch format   6253
OUTPSP STRING  ''        obsolete: '(1X,132A1)'  Standard print format  6254
*
*      Pointers to Other Initialization                                 6256
*
ABNDB  DHERE   ,                                                        6258
       DESCR   ALPHSP,0,0          &ALPHABET                            6259
       DESCR   ALPHVL,0,0                                               6260
       DESCR   lcSP,0,0            &lc
       DESCR   lcVL,0,0
       DESCR   UCSP,0,0            &UC
       DESCR   UCVL,0,0
       DESCR   DIGSP,0,0           &DIG
       DESCR   DIGVL,0,0
       DESCR   CRDFSP,0,0          Default output format                6261
       DESCR   DFLFST,0,0                                               6262
       DESCR   EXDTSP,0,0          'EXTERNAL'                           6263
       DESCR   EXTPTR,0,0                                               6264
       DESCR   ENDSP,0,0           'END'                                6265
       DESCR   ENDPTR,0,0                                               6266
       DESCR   ENDSPlc,0,0         'end'
       DESCR   ENDPTRlc,0,0
       DESCR   FRETSP,0,0          'FRETURN'                            6267
       DESCR   FRETCL,0,0                                               6268
       DESCR   FUNTSP,0,0          'FUNCTION'                           6269
       DESCR   FUNTCL,0,0                                               6270
       DESCR   NRETSP,0,0          'NRETURN'                            6271
       DESCR   NRETCL,0,0                                               6272
       DESCR   PARMSP,0,0          &PARM
       DESCR   PARMVL,0,0
       DESCR   OSSP,0,0            &OS
       DESCR   OSVL,0,0
       DESCR   RETSP,0,0           'RETURN'                             6273
DTEND  DESCR   RETCL,0,0                                                6274
BUFEXT EQUD    DTEND-BUFSP  Area from BUFSP to here used as a buffer
BUFLEN EQUD    BUFEXT*CPA                                               6276
*
*      Constants                                                        5421
*
ARBSIZ DESCR   8*NODESZ,0,0        Node size for ARBNO(P)               5423
CHARCL DESCR   1,0,0               Length constant 1                    5424
CNDSIZ DESCR   CNODSZ,0,B          Compiler node size                   5425
CODELT DESCR   200*DESCR,0,C       Object code excess                   5426
DSCRTW DESCR   2*DESCR,0,0         Constant 2*DESCR                     5427
EOSCL  DESCR   EOSTYP,0,0          End of statement switch              5428
ESALIM DESCR   ESASIZ*DESCR,0,0    Bound on compilation errors          5429
EXTVAL DESCR   EXTSIZ*2*DESCR,0,0  V3.11
FBLKRQ DESCR   FBLKSZ,0,B          Quantum on allocated function blocks 5431
GOBRCL DESCR   0,0,0               Goto break character switch          5432
GTOCL  DESCR   FGOTYP,0,0          Goto decision switch                 5433
IOBLSZ DESCR   2*DESCR,0,B         Size of I/O blocks                   5434
IONECL DESCR   1,0,I               Constant 1 integer
ITWOCL DESCR   2,0,I               Constant 2 integer
I32KCL DESCR   32768,0,I           Constant 32768 integer
LABTST DESCR   0,0,C               To test for labels
LNODSZ DESCR   NODESZ+DESCR,0,P    Size of long pattern node            5435
NODSIZ DESCR   NODESZ,0,P          Size of short pattern node           5436
OBEND  DESCR   OBLIST+DESCR*OBOFF,0,0                                   5437
*                                  End on bin list                      5438
OCALIM DESCR   OCASIZ*DESCR,0,C    Size of object code block            5439
ONECL  DESCR   1,0,0               Constant 1                           5440
SIXTCL DESCR   DESCR,0,0           Constant Descriptor width ####
OUTBLK DESCR   OUTPUT-DESCR,0,0    Pointer to OUTPUT block              5441
SIZLMT DESCR   SIZLIM,0,0          Limit on size of data object         5442
STRLMT DESCR   STRLIM,0,0          Limit on size of string object
SNODSZ DESCR   NODESZ,0,P          Small pattern node size              5443
STARSZ DESCR   11*DESCR,0,P        Size of EXPRESSION pattern           5444
XNODSZ DESCR   NODESZ*4+DESCR*2,0,P Size of BREAKX pattern
XSET3  DESCR   3*DESCR,0,3*DESCR
XSET7  DESCR   7*DESCR,0,7*DESCR
XSET10 DESCR   10*DESCR,0,10*DESCR
BPACL  DESCR   BITSPA,0,0
FOURCL DESCR   4,0,0
ZEROCL DESCR   0,0,0               Constant zero                        5445
TRSKEL DESCR   TRCBLK,0,0                                               5446
COMDCT DESCR   14*DESCR,0,0                                             5447
COMREG DESCR   ELEMND,0,0          Pointer to compiler descriptors      5448
*
ARRSP  STRING  'ARRAY'                                                  5588
ARRSPlc  STRING  'array'
ASSCSP STRING  'TABLE'                                                  5589
ASSCSPlc STRING  'table'
BLSP   STRING  ' '                                                      5590
BLEQSP STRING  ' = '                                                    5591
CMASP  STRING  ','                                                      5592
EJCTSP STRING  'EJECT'                                                  5593
EQLSP  STRING  '= '                                                     5594
ETIMSP STRING  ',TIME = '                                               5595
EXDTSP STRING  'EXTERNAL'                                               5596
LEFTSP STRING  'LEFT'                                                   5597
LISTSP STRING  'LIST'                                                   5598
LPRNSP STRING  '('                                                      5599
OFSP   STRING  ' OF '                                                   5600
RPRNSP STRING  ')'                                                      5601
STARSP STRING  '*** '                                                   5602
TRCLSP STRING  ' CALL OF '                                              5603
TRLVSP STRING  'LEVEL '                                                 5604
TRSTSP STRING  '    STATEMENT '                                         5605
UNLSP  STRING  'UNLIST'                                                 5606
XFERSP STRING  'TRANSFER TO'                                            5607
*
*      Machine-dependent Data                                           5773
*
       COPY    MDATA               Segment of machine-dependent data    5775
FNCERR DESCR   0,0,0               Place to return FNC 127 error info
*
*      Pointers to Specifiers                                           5550
*
DPSPTR DESCR   DPSP,0,0                                                 5552
XSPPTR DESCR   XSP,0,0                                                  5553
YSPPTR DESCR   YSP,0,0                                                  5554
ZSPPTR DESCR   ZSP,0,0                                                  5555
TSPPTR DESCR   TSP,0,0                                                  5556
*
*      Permanent Attribute List Pointers                                5558
*
KNATL  DESCR   KNLIST,0,0          Unprotected keyword list             5560
KVATL  DESCR   KVLIST,0,0          Protected keyword list               5561
TRATL  DESCR   TRLIST,0,0          Trace list                           5562
*
*      Specifiers for Compilation Listing                               5564
*
BLNSP  SPEC    BLNBUF,0,0,0,STNOSZ                                      5566
ERRSP  SPEC    ERRBUF,0,0,0,CARDSZ+STNOSZ-SEQSIZ+1                      5567
INBFSP SPEC    INBUF,0,0,STNOSZ,CARDSZ                                  5568
INBFSPF SPEC   INBUF,0,0,STNOSZ,CARDSZ Full in-buffer size
LNBFSP SPEC    INBUF,0,0,0,CARDSZ+DSTSZ+1                               5569
NEXTSP SPEC    INBUF,0,0,STNOSZ,CARDSZ-SEQSIZ                           5570
LNOSP  SPEC    INBUF,0,0,0,STNOSZ                                       5571
RNOSP  SPEC    INBUF,0,0,CARDSZ+STNOSZ+1,STNOSZ                         5572
*
*      Strings and Specifiers                                           5574
*
ALPHSP SPEC    ALPHA,0,0,0,ALPHSZ  Alphabet                             5576
UCSP   SPEC    UC,0,0,0,UCSIZE
lcSP   SPEC    lc,0,0,0,lcSIZE
OSSP   SPEC    OSNM,0,0,0,2        &OS name
DIGSP  SPEC    digits,0,0,0,10     Decimal digits string
PARMSP SPEC    PARM,0,0,0,PARMAX   Parameter string
AMPSP  SPEC    AMPST,0,0,0,1       Ampersand                            5577
CERRSP SPEC    BUFSP,0,0,0,0       Buffer specifier
COLSP  SPEC    COLSTR,0,0,0,2      Colon for trace messages             5579
DMPSP  SPEC    BUFSP,0,0,0,0       Buffer specifier
DTARSP SPEC    DTARBF,0,0,0,ARRLEN+9                                    5581
*                                  Array representation specifier       5582
PROTSP SPEC    BUFSP,0,0,0,0       Buffer specifier
QTSP   SPEC    QTSTR,0,0,0,1       Quote for messages                   5584
REALSP SPEC    REALBF,0,0,0,10     Specifier for real conversion        5585
ENVSP  SPEC    0,0,0,0,0           Specifier for environment var value
TRACSP SPEC    BUFSP,0,0,0,0       Buffer specifier
ZEROSP SPEC    0,0,0,0,0           Null string
*
*      Character Buffers                                                5609
*
BLNBUF BUFFER  STNOSZ              Blanks for statment number field     5611
DTARBF BUFFER  ARRLEN+7            Array representation buffer          5612
ERRBUF BUFFER  CARDSZ+STNOSZ-SEQSIZ+1                                   5613
INBUF  BUFFER  CARDSZ+DSTSZ+1      Card input buffer                    5614
REALBF BUFFER  36                  Buffer for real number conversion    5615
*
* The above items are assumed to be constant from run to run            5615
SAVBDY DHERE   ,                   SAVE() low boundary
*      Work space bounds pointers
*
FRSGPT DESCR   0,PTRF,0            Position pointer                     5766
HDSGPT DESCR   0,PTRF,0            Head of allocated data region        5767
TLSGP1 DESCR   0,PTRF,0            End of allocated data region         5768
*
*      String Storage Bin List                                          6302
*
OBLOCK DESCR   OBLOCK,TTL+MARK,OBARY*DESCR                              6304
       ARRAY   3                   Pseudo heading                       6305
OBSTRT ARRAY   OBSIZ               Bin list                             6306
OBLIST EQUD    OBSTRT-LNKFLD       Pseudo link pointer                  6307
*
ADJBDY DHERE   ,                   Low boundary for GC ptr adjust
GCBDY  DHERE   ,                   GC low boundary
*
DTLIST DESCR   DTLIST,TTL+MARK,DTLEND-DTLIST-DESCR                      5259
DTS    DESCR   0,0,S                                                    5260
       DESCR   VARSP,0,0           STRING                               5261
DTI    DESCR   0,0,I                                                    5262
       DESCR   INTGSP,0,0          INTEGER                              5263
       DESCR   0,0,P                                                    5264
       DESCR   PATSP,0,0           PATTERN                              5265
       DESCR   0,0,A                                                    5266
       DESCR   ARRSP,0,0           ARRAY                                5267
DTR    DESCR   0,0,R                                                    5268
       DESCR   RLSP,0,0            REAL                                 5269
       DESCR   0,0,C                                                    5270
       DESCR   CODESP,0,0          CODE                                 5271
       DESCR   0,0,N                                                    5272
       DESCR   NAMESP,0,0          NAME                                 5273
       DESCR   0,0,K                                                    5274
       DESCR   NAMESP,0,0          NAME (for keyword)                   5275
       DESCR   0,0,E                                                    5276
       DESCR   EXPSP,0,0           EXPRESSION                           5277
       DESCR   0,0,T                                                    5278
       DESCR   ASSCSP,0,0          TABLE                                5279
DTLEND DHERE   ,                                                        5280
*
* Unprotected keywords                                                  5280
KNLIST DESCR   KNLIST,TTL+MARK,KNEND-KNLIST-DESCR                       5282
TRIMCL DESCR   0,0,I               &TRIM                                5283
       DESCR   TRMSP,0,0                                                5284
TRAPCL DESCR   0,0,I               &TRACE                               5285
       DESCR   TRCESP,0,0                                               5286
EXLMCL DESCR   9223372036854775807,0,I &STLIMIT                         5287
       DESCR   STLMSP,0,0                                               5288
FLTDEC DESCR   12,0,I              &FLTDEC
       DESCR   FLTDECSP,0,0
FLTSIG DESCR   14,0,I              &FLTSIG
       DESCR   FLTSIGSP,0,0
STATCL DESCR   0,0,I               &STAT
       DESCR   STATSP,0,0
*
P3XORG DESCR   0,0,I                        ##custom##
       DESCR   PE3XORSP,0,0        &PE3xx   ##custom##
P3XMAX DESCR   0,0,I                        ##custom##
       DESCR   PE3XMXSP,0,0        &PE3xmax ##custom##
P3X    DESCR   0,0,I                        ##custom##
       DESCR   PE3XSP,0,0          &PE3x    ##custom##
P3YORG DESCR   0,0,I                        ##custom##
       DESCR   PE3YORSP,0,0        &PE3yy   ##custom##
P3YMAX DESCR   0,0,I                        ##custom##
       DESCR   PE3YMXSP,0,0        &PE3ymax ##custom##
P3Y    DESCR   0,0,I                        ##custom##
       DESCR   PE3YSP,0,0          &PE3y    ##custom##
P3KEY  DESCR   0,0,I                        ##custom##
       DESCR   PE3KEYSP,0,0        &PE3key  ##custom##
P3CUR  DESCR   0,0,I                        ##custom##
       DESCR   PE3CURSP,0,0        &PE3cur  ##custom##
P3COL  DESCR   0,0,I                        ##custom##
       DESCR   PE3COLSP,0,0        &PE3col  ##custom##
P3BC   DESCR   0,0,I                        ##custom##
       DESCR   PE3BCSP,0,0         &PE3bc   ##custom##
*
OUTSWQ DESCR   1,0,I               &OUTPUT
       DESCR   OUTSP,0,0                                                5290
MLENCL DESCR   64000000000-48,0,I  &MAXLNGTH
       DESCR   MAXLSP,0,0                                               5292
IOERCL DESCR   0,0,I               &IOERR
       DESCR   IOERSP,0,0
INSWQ  DESCR   1,0,I               &INPUT
       DESCR   INSP,0,0                                                 5294
FULLCL DESCR   0,0,I               &FULLSCAN                            5295
       DESCR   FULLSP,0,0                                               5296
TRACL  DESCR   0,0,I               &FTRACE                              5297
       DESCR   FTRCSP,0,0                                               5298
ERRLCL DESCR   0,0,I               &ERRLIMIT                            5299
       DESCR   ERRLSP,0,0                                               5300
DMPCL  DESCR   0,0,I               &DUMP                                5301
       DESCR   DUMPSP,0,0                                               5302
RETCOD DESCR   0,0,I               &CODE                                5303
       DESCR   CODESP,0,0                                               5304
ANCCL  DESCR   0,0,I               &ANCHOR                              5305
       DESCR   ANCHSP,0,0                                               5306
ABNDCL DESCR   0,0,I               &ABEND                               5307
       DESCR   ABNDSP,0,0                                               5308
*
KNEND  DHERE   ,                                                        5309
* Protected keywords:                                                   5309
KVLIST DESCR   KVLIST,TTL+MARK,KVEND-KVLIST-DESCR                       5311
ERRTYP DESCR   0,0,I               &ERRTYPE                             5312
ERRTKY DESCR   ERRTSP,0,0                                               5313
ARBPAT DESCR   ARBPT,0,P           &ARB                                 5314
ARBKY  DESCR   ARBSP,0,0                                                5315
BALPAT DESCR   BALPT,0,P           &BAL                                 5316
BALKY  DESCR   BALSP,0,0                                                5317
FNCPAT DESCR   FNCEPT,0,P          &FENCE                               5318
FNCEKY DESCR   FNCESP,0,0                                               5319
ABOPAT DESCR   ABORPT,0,P          &ABORT                               5320
ABRTKY DESCR   ABORSP,0,0                                               5321
FALPAT DESCR   FAILPT,0,P          &FAIL                                5322
FAILKY DESCR   FAILSP,0,0                                               5323
MXAPAT DESCR   MXARPT,0,P          &MAXARB
MXARKY DESCR   MXARSP,0,0
REMPAT DESCR   REMPT,0,P           &REM                                 5324
REMKY  DESCR   REMSP,0,0                                                5325
SUCPAT DESCR   SUCCPT,0,P          &SUCCEED                             5326
SUCCKY DESCR   SUCCSP,0,0                                               5327
FALCL  DESCR   0,0,I               &STFCOUNT                            5328
FALKY  DESCR   STFCSP,0,0                                               5329
LSTNCL DESCR   0,0,I               &LASTNO                              5330
       DESCR   LSTNSP,0,0                                               5331
RETPCL DESCR   0,0,S               &RTNTYPE                             5332
       DESCR   RTYPSP,0,0                                               5333
STNOCL DESCR   0,0,I               &STNO                                5334
       DESCR   STNOSP,0,0                                               5335
ALPHVL DESCR   0,0,0               &ALPHABET                            5336
       DESCR   ALNMSP,0,0                                               5337
OSVL   DESCR   0,0,0               &OS
       DESCR   OSNM,0,0
UCVL   DESCR   0,0,0               &UC
       DESCR   UCNMSP,0,0
lcVL   DESCR   0,0,0               &lc
       DESCR   lcNMSP,0,0
DIGVL  DESCR   0,0,0               &DIG
       DESCR   DIGNMSP,0,0
EXNOCL DESCR   0,0,I               &STCOUNT                             5338
STCTKY DESCR   STCTSP,0,0                                               5339
LVLCL  DESCR   0,0,I               &FNCLEVEL                            5340
FNCLKY DESCR   FNCLSP,0,0                                               5341
PARMVL DESCR   0,0,0               &PARM
       DESCR   PRNMSP,0,0
INFCL  DESCR   0,0,R               &INFINITY initialized elsewhere
       DESCR   INFSP,0,0
NANCL  DESCR   0,0,R               &NAN initialized elsewhere
       DESCR   NANSP,0,0
PICL   DESCR   0,0,R               &PI initialized elsewhere
       DESCR   PISP,0,0
ECL    DESCR   0,0,R               &E initialized elsewhere
       DESCR   EVSP,0,0
KVEND  DHERE   ,                                                        5342
*
INLIST DESCR   INLIST,TTL+MARK,4*DESCR                                  5344
       DESCR   INPUT-DESCR,0,0     INPUT block                          5345
       DESCR   INSP,0,0                                                 5346
       DESCR   TERMININ-DESCR,0,0  TERMINAL input block
       DESCR   TERMSP,0,0

OTLIST DESCR   OTLIST,TTL+MARK,6*DESCR                                  5347
       DESCR   OUTPUT-DESCR,0,0    OUTPUT block                         5348
       DESCR   OUTSP,0,0                                                5349
       DESCR   PUNCH-DESCR,0,0     PUNCH block                          5350
       DESCR   PNCHSP,0,0                                               5351
       DESCR   TERMIN-DESCR,0,0    TERMINAL output block
       DESCR   TERMSP,0,0

OTSATL DESCR   OTSATL,TTL+MARK,6*DESCR                                  5352
OUTPUT DESCR   UNITO,0,I           OUTPUT unit                          5353
       DESCR   OUTPSP,0,0          OUTPUT format                        5354
PUNCH  DESCR   UNITP,0,I           PUNCH unit                           5355
       DESCR   CRDFSP,0,0          PUNCH format                         5356
TERMIN DESCR   UNITTO,0,I          TERMINAL output unit
       DESCR   OUTPSP,0,0

INSATL DESCR   INSATL,TTL+MARK,4*DESCR                                  5357
INPUT  DESCR   UNITI,0,I           INPUT unit                           5358
DFLSIZ DESCR   80,0,I              INPUT length                         5359
TERMININ DESCR UNITTI,0,I          TERMINAL input unit
       DESCR   256,0,I             TERMINAL input length

*####UNITV  DESCR   UNITV,TTL+MARK,MXUNIT*DESCR+DESCR I/O Univ info
*####       ARRAY   MXUNIT+1
*
TRLIST DESCR   TRLIST,TTL+MARK,10*DESCR                                 5361
       DESCR   TVALL,0,0           VALUE trace                          5362
VALTRS DESCR   VALSP,0,0                                                5363
       DESCR   TLABL,0,0           LABEL trace                          5364
       DESCR   TRLASP,0,0                                               5365
TFNCLP DESCR   TFENTL,0,0          CALL trace                           5366
       DESCR   TRFRSP,0,0                                               5367
TFNRLP DESCR   TFEXTL,0,0          RETURN trace                         5368
       DESCR   RETSP,0,0                                                5369
       DESCR   TKEYL,0,0           KEYWORD trace                        5370
       DESCR   TRKYSP,0,0                                               5371
*
TRCBLK DESCR   TRCBLK,TTL+MARK,5*DESCR V3.7
       DESCR   0,FNF,2             TRACE FUNCTION DESCRIPTOR    V3.7
LIT1CL DESCR   LITFN,FNF,1         LITERAL FUNCTION DESCRIPTOR  E3.7.1
       DESCR   0,0,0               VARIABLE TO BE TRACED        V3.7
       DESCR   LITFN,FNF,1         LITERAL FUNCTION DESCRIPTOR  E3.7.1
       DESCR   0,0,0               TAG SUPPLIED FOR TRACE       V3.7
*
INABLK DESCR   INABLK,TTL+MARK,INABE-INABLK-DESCR Make into resident blk
*
ATRHD  DESCR   ATPRCL-DESCR,0,0    Array header converting from TABLE   5373
ATPRCL DESCR   0,0,0               Prototype                            5374
       DESCR   2,0,0               Dimensionality                       5375
       DESCR   1,0,2               1:2 second dimension                 5376
ATEXCL DESCR   1,0,0               1:n first dimension                  5377
*
*      Data type pairs                                                  5379
*
ATDTP  DESCR   A,0,T               ARRAY-TABLE                          5381
IIDTP  DESCR   I,0,I               INTEGER-INTEGER                      5382
IPDTP  DESCR   I,0,P               INTEGER-PATTERN                      5383
IRDTP  DESCR   I,0,R               INTEGER-REAL                         5384
IVDTP  DESCR   I,0,S               INTEGER-STRING                       5385
PIDTP  DESCR   P,0,I               PATTERN-INTEGER                      5386
PPDTP  DESCR   P,0,P               PATTERN-PATTERN                      5387
PVDTP  DESCR   P,0,S               PATTERN-STRING                       5388
RIDTP  DESCR   R,0,I               REAL-INTEGER                         5389
RPDTP  DESCR   R,0,P               REAL-PATTERN                         5390
RRDTP  DESCR   R,0,R               REAL-REAL                            5391
RVDTP  DESCR   R,0,S               REAL-STRING                          5392
TADTP  DESCR   T,0,A               TABLE-ARRAY                          5393
VCDTP  DESCR   S,0,C               STRING-CODE                          5394
VEDTP  DESCR   S,0,E               STRING-EXPRESSION                    5395
VIDTP  DESCR   S,0,I               STRING-INTEGER                       5396
VPDTP  DESCR   S,0,P               STRING-PATTERN                       5397
VRDTP  DESCR   S,0,R               STRING-REAL                          5398
VVDTP  DESCR   S,0,S               STRING-STRING                        5399
*
ARTHCL DESCR   0,0,0               Number of arithmetic operations      5401
CSTNCL DESCR   0,0,I               Compiler statement number            5402
RSTAT  DESCR   0,0,0               Number of reads                      5403
SCNCL  DESCR   0,0,0               Number of scanner entrances          5404
WSTAT  DESCR   0,0,0               Number of writes                     5405
TIMECL DESCR   0,0,0               Nanosecond time                      5406
*
*      SWITCHES                                                         5408
*
ALCL   DESCR   0,0,0               Entry point switch for ARG(F,N)      5410
ARRMRK DESCR   0,0,0               Prototype end switch for ARRAY(P,V)  5411
CUTNO  DESCR   0,0,0               E3.2.2
CNSLCL DESCR   0,0,0               Label redefinition switch            5412
DATACL DESCR   0,0,0               Prototype end switch for DATA(P)     5413
EXECER DESCR   0,0,0               One if execute with compile errors
FNVLCL DESCR   0,0,0               FUNCTION-VALUE switch for trace      5414
INICOM DESCR   0,0,0               INITIALIZATION SWITCH        E3.10.6
LENFCL DESCR   0,0,0               Length failure switch                5415
LISTCL DESCR   0,0,0               Compiler listing switch              5416
LLIST  DESCR   1,0,0               Left listing switch                  5417
NAMGCL DESCR   0,0,0               Naming switch for SJSR               5418
SCERCL DESCR   0,0,0               Error branch switch                  5419
*
*
*
*      Pointers to Assembled Data Patterns                              5452
*
ARBACK DESCR   ARBAK,0,P                                                5454
ARHEAD DESCR   ARHED,0,P                                                5455
ARTAIL DESCR   ARTAL,0,P                                                5456
STRPAT DESCR   STARPT,0,P                                               5457
*
*      Function Descriptors                                             5459
*
ANYCCL DESCR   ANYCFN,FNF,3                                             5461
ASGNCL DESCR   ASGNFN,FNF,2                                             5462
ATOPCL DESCR   ATOPFN,FNF,3                                             5463
BASECL DESCR   BASEFN,FNF,0                                             5464
BRKCCL DESCR   BRKCFN,FNF,3                                             5465
CHRCL  DESCR   CHRFN,FNF,3                                              5466
CONCL  DESCR   CONFN,FNF,0         Argument count is incremented        5467
DNMECL DESCR   DNMEFN,FNF,2                                             5468
DNMICL DESCR   DNMIFN,FNF,2                                             5469
ENDCL  DESCR   ENDFN,FNF,0                                              5471
ENMECL DESCR   ENMEFN,FNF,3                                             5472
ENMICL DESCR   ENMIFN,FNF,3                                             5473
ERORCL DESCR   ERORFN,FNF,1                                             5474
FNCFCL DESCR   FNCFFN,FNF,2                                             5475
FNMECL DESCR   FNMEFN,FNF,2                                             5476
GOTGCL DESCR   GOTGFN,FNF,1                                             5477
GOTLCL DESCR   GOTLFN,FNF,1                                             5478
GOTOCL DESCR   GOTOFN,FNF,1                                             5479
INITCL DESCR   INITFN,FNF,1                                             5480
ITEMCL DESCR   AREFN,FNF,0                                              5481
LITCL  DESCR   LITFN,FNF,0         Argument count is incremented        5482
LNTHCL DESCR   LNTHFN,FNF,3                                             5483
NMECL  DESCR   NMEFN,FNF,2                                              5484
NNYCCL DESCR   NNYCFN,FNF,3                                             5485
POSICL DESCR   POSIFN,FNF,3                                             5486
RPSICL DESCR   RPSIFN,FNF,3                                             5487
RTBCL  DESCR   RTBFN,FNF,3                                              5488
SCANCL DESCR   SCANFN,FNF,2                                             5489
SCFLCL DESCR   SCFLFN,FNF,2                                             5490
SCOKCL DESCR   SCOKFN,FNF,2                                             5491
SCONCL DESCR   SCONFN,FNF,2                                             5492
SJSRCL DESCR   SJSRFN,FNF,3                                             5493
SPNCCL DESCR   SPNCFN,FNF,3     span(x)                                 5494
NSPNCCL DESCR  NSPCFN,FNF,3     spannot(x)
SUCFCL DESCR   SUCFFN,FNF,2                                             5495
TBCL   DESCR   TBFN,FNF,3                                               5496
INITB  DESCR   ABNDB,0,0                                                5497
INITE  DESCR   DTEND+DESCR,0,0                                          5498
*
*      Miscellaneous Data Cells                                         5500
*
A4PTR  DESCR   0,0,0               Scratch descriptor                   5502
A5PTR  DESCR   0,0,0               Scratch descriptor                   5503
A6PTR  DESCR   0,0,0               Scratch descriptor                   5504
A7PTR  DESCR   0,0,0               Scratch descriptor                   5505
BRTYPE DESCR   0,0,0               Break type returned by FORWRD        5506
CMOFCL DESCR   0,0,0               Compiler offset                      5507
DATSEG DESCR   0,0,100             Beginning of defined data types      5508
DMPPTR DESCR   0,0,0               Bin pointer for DUMP                 5509
DTCL   DESCR   0,0,0               Data type descriptor                 5510
DT1CL  DESCR   0,0,0               Data type descriptor                 5511
EMSGCL DESCR   0,0,0               Present error message address        5512
ERRBAS DESCR   CARDSZ+STNOSZ-SEQSIZ,0,0                                 5513
ESAICL DESCR   0,0,0               Count of compiler errors             5514
ETMCL  DESCR   0,0,0               Time descriptor                      5515
FCL    DESCR   0,0,0               Real number descriptor               5517
NEXFCL DESCR   FBLKSZ,0,0          Offset in function block             5518
FRTNCL DESCR   0,0,0               Failure return                       5519
GOGOCL DESCR   0,0,0               goto descriptor                      5520
INCL   DESCR   0,0,0               Global function descriptor           5521
IOKEY  DESCR   0,0,0               I/O indicator                        5522
MAXLEN DESCR   0,0,0               Maximum length for matching          5523
MSGNO  DESCR   MSGLST,0,0          Pointer to error message list        5524
NAMICL DESCR   0,0,0               Offset on naming list                5525
NHEDCL DESCR   0,0,0               Name list head offset                5526
NMOVER DESCR   NAMLSZ*SPDR,0,B     Name list end offset                 5527
NULVCL DESCR   0,0,S               Null string value                    5528
OCICL  DESCR   0,0,0               Object code offset                   5529
PATICL DESCR   0,0,0               Pattern code offset                  5530
PDLEND DESCR   PDLBLK+SPDLDR-NODESZ,0,0                                 5531
*                                  Pattern history list end             5532
PDLPTR DESCR   PDLBLK,0,0          Pattern history list beginning       5533
SCL    DESCR   0,0,0               Switch descriptor                    5534
*STKPTR DESCR   STACK,0,0          Pointer to stack                     5534
STYPE  DESCR   0,FNF,0             Descriptor return by STREAM          5536
TBLFNC DESCR   0,0,0               Pointer to last pattern table        5537
UNIT   DESCR   0,0,0               Input unit switch                    5538
*VARSYM DESCR   0,0,0                                                   5538
*
*      Program Pointers                                                 5541
*
DATCL  DESCR   DEFDAT,FNF,0        Defined data objects                 5543
DEFCL  DESCR   DEFFNC,FNF,0        Defined functions                    5544
FLDCL  DESCR   FIELD,0,1           Field of defined data objects        5545
LODCL  DESCR   LNKFNC,FNF,0        External functions                   5546
PDLHED DESCR   PDLBLK,0,0          History list head                    5547
UNDFCL DESCR   UNDF,FNF,0          Undefined functions                  5548
*
*      Allocator Data                                                   5733
*
BK1CL  DESCR   0,0,0               Pointer to block being marked        5735
BKDX   DESCR   0,0,0               Offset in block being marked         5736
BKDXU  DESCR   0,0,0               Offset in block                      5737
BKLTCL DESCR   0,0,0                                                    5738
BKPTR  DESCR   0,PTRF,S                                                 5739
BLOCL  DESCR   0,0,0                                                    5740
CONVSW DESCR   0,0,0               CONVAR-GENVAR entry switch           5741
CPYCL  DESCR   0,0,0               Regeneration block pointer           5742
DESCL  DESCR   0,0,0               Regeneration scratch descriptor      5743
EQUVCL DESCR   0,0,0               Variable identification descriptor   5744
FRDSCL DESCR   4*DESCR,0,0                                              5745
*GCBLK  DESCR   GCXTTL,0,0     ####Pointer to marking block(old GC only)5745
GCNO   DESCR   0,0,0               Count of regenerations               5747
GCMPTR DESCR   0,0,0               Pointer to basic blocks              5748
GCREQ  DESCR   0,0,0               Space required from regeneration     5749
GCGOT  DESCR   0,0,I               Space obtained from regeneration     5750
LCPTR  DESCR   0,0,0               Scratch descriptor                   5751
MVSGPT DESCR   0,0,0               Compression boundary pointer         5752
NODPCL DESCR   0,0,0               Regeneration switch                  5753
OBPTR  DESCR   OBLIST,PTRF,S       Pointer to bins                      5754
OFSET  DESCR   0,0,0               Offset in block during regeneration  5755
PRMDX  DESCR   PRMSIZ,0,0          Size of basic block list             5756
PRMPTR DESCR   PRMTBL,0,0          Pointer to list of basic blocks      5757
*ST1PTR DESCR  0,PTRF,S            Regeneration link pointer            5757
*ST2PTR DESCR  0,PTRF,S            Regeneration link pointer            5757
TEMPCL DESCR   0,0,0               Scratch descriptor                   5760
TOPCL  DESCR   0,0,0               Pointer to block title               5761
TTLCL  DESCR   0,0,0               Pointer to block title               5762
TWOCL  DESCR   2*DESCR,0,B         Size of string to be marked          5763
*
INABE  DHERE   ,                   End of region of pointers
*
* Block of internal pointers which need adjusting during GC
ICLBLK DESCR   ICLBLK,TTL+MARK,ICLEND-ICLBLK-DESCR                      5616
*
*      Pointers to Attribute Lists                                      5618
*
DTATL  DESCR   DTLIST,0,0          Data type pair list                  5620
FNCPL  DESCR   FNLIST,0,0          Function pair list                   5621
INATL  DESCR   INLIST,0,0          Input association pair list          5622
OUTATL DESCR   OTLIST,0,0          Output association pair list         5623
TVALL  DESCR   TVALPL,0,0          Value trace pair list                5624
       DESCR   VLTRFN,FNF,2        Default value trace procedure
TLABL  DESCR   TLABPL,0,0          Label trace pair list                5626
       DESCR   LABTFN,FNF,1        Default label trace procedure
TFENTL DESCR   TFENPL,0,0          Call trace pair list                 5628
       DESCR   FNTRFN,FNF,2        Default call trace procedure
TFEXTL DESCR   TFEXPL,0,0          Return trace pair list               5630
       DESCR   FXTRFN,FNF,2        Default return trace procedure
TKEYL  DESCR   TKEYPL,0,0          Keyword trace pair list              5632
       DESCR   KEYTFN,FNF,1        Default keyword trace procedure
*
*      Scratch Descriptors                                              5635
*
A1PTR  DESCR   0,0,0                                                    5637
A2PTR  DESCR   0,0,0                                                    5638
A3PTR  DESCR   0,0,0                                                    5639
ATPTR  DESCR   0,0,0                                                    5640
F1PTR  DESCR   0,0,0                                                    5641
F2PTR  DESCR   0,0,0                                                    5642
IO2PTR DESCR   0,0,0                                                    5643
IO1PTR DESCR   0,0,0                                                    5644
LPTR   DESCR   0,0,0               Last label pointer                   5645
NVAL   DESCR   0,0,0                                                    5646
IO3PTR DESCR   0,0,0                                                    5647
IO4PTR DESCR   0,0,0                                                    5648
TBLCS  DESCR   0,0,0                                                    5649
TMVAL  DESCR   0,0,0                                                    5650
TPTR   DESCR   0,0,0                                                    5651
TCL    DESCR   0,0,0                                                    5652
TSIZ   DESCR   0,0,0                                                    5653
TVAL   DESCR   0,0,0                                                    5654
VVAL   DESCR   0,0,0                                                    5655
VCL    DESCR   0,0,0
VPTR   DESCR   0,0,0
WCL    DESCR   0,0,0                                                    5656
WPTR   DESCR   0,0,0                                                    5657
XCL    DESCR   0,0,0                                                    5658
XPTR   DESCR   0,0,0                                                    5659
XSIZ   DESCR   0,0,0                                                    5660
YCL    DESCR   0,0,0                                                    5661
YPTR   DESCR   0,0,0                                                    5662
YSIZ   DESCR   0,0,0                                                    5663
ZCL    DESCR   0,0,0                                                    5664
ZPTR   DESCR   0,0,0                                                    5665
ZSIZ   DESCR   0,0,0                                                    5666
*
*      System Descriptors                                               5668
*
BOSCL  DESCR   0,0,0               Offset of beginning of statement     5670
CMBSCL DESCR   0,0,0               Compiler code base descriptor        5671
NBSPTR DESCR   0,0,0               Name list base pointer               5672
FBLOCK DESCR   0,0,0               Function procedure descriptor block  5673
OCBSCL DESCR   0,0,0               Interpreter code base descriptor     5674
OCLIM  DESCR   0,0,0               End of object code block             5675
OCSVCL DESCR   0,0,0               Pointer to basic object code         5676
PATBCL DESCR   0,0,0               Pattern code base descriptor         5677
SCBSCL DESCR   0,0,0                                                    5678
SRNCL  DESCR   0,0,0               Success return descriptor            5679
*
*      Compiler Descriptors                                             5681
*
ELEMND DESCR   0,0,0               Element node                         5683
ELEXND DESCR   0,0,0               Temporary node                       5684
ELEYND DESCR   0,0,0               Temporary node                       5685
EXELND DESCR   0,0,0               Temporary node                       5686
EXEXND DESCR   0,0,0               Temporary node                       5687
EXOPCL DESCR   0,0,0               Operator node                        5688
EXOPND DESCR   0,0,0               Operator node                        5689
EXPRND DESCR   0,0,0               Expression node                      5690
FGOND  DESCR   0,0,0               Failure goto node                    5691
FORMND DESCR   0,0,0               Object node                          5692
FRNCL  DESCR   0,0,0               Failure return descriptor            5693
GOTOND DESCR   0,0,0               Goto node                            5694
PATND  DESCR   0,0,0               Pattern node                         5695
SGOND  DESCR   0,0,0               Success goto node                    5696
SUBJND DESCR   0,0,0               Subject node                         5697
*
*      Data Pointers                                                    5699
*
DFLFST DESCR   0,0,0               Default output format                5701
ENDPTR DESCR   0,0,0               'END'                                5702
ENDPTRlc DESCR   0,0,0             'end'
EXTPTR DESCR   0,0,0               'EXTERNAL'                           5703
FRETCL DESCR   0,0,0               'FRETURN'                            5704
NRETCL DESCR   0,0,0               'NRETURN'                            5705
RETCL  DESCR   0,0,0               'RETURN'                             5706
FUNTCL DESCR   0,0,0               'FUNCTION'                           5707
*
*      Specifiers                                                       5709
*
DPSP   SPEC    0,0,0,0,0           Data type specifier                  5711
HEADSP SPEC    0,0,0,0,0           Matching head specifier              5712
IOSP   SPEC    0,0,0,0,0           I/O specifier                        5713
TAILSP SPEC    0,0,0,0,0           Matching tail specifier              5714
TEXTSP SPEC    0,0,0,0,0           Compiler statement specifier         5715
TSP    SPEC    0,0,0,0,0           Scratch specifier                    5716
TXSP   SPEC    0,0,0,0,0           Scratch specifier                    5717
VSP    SPEC    0,0,0,0,0           Scratch specifier                    5718
WSP    SPEC    0,0,0,0,0           Scratch specifier
XSP    SPEC    0,0,0,0,0           Scratch specifier                    5719
YSP    SPEC    0,0,0,0,0           Scratch specifier                    5720
ZSP    SPEC    0,0,0,0,0           Scratch specifier                    5721
*
*      Allocator Data                                                   5723
*
ARG1CL DESCR   0,0,0               Scratch descriptor                   5725
BUKPTR DESCR   0,PTRF,S            Bin pointer                          5726
LSTPTR DESCR   0,PTRF,S            Pointer to last structure            5727
AXPTR  DESCR   0,0,0               Allocation size descriptor           5728
SPECR1 SPEC    0,0,0,0,0           Scratch specifier                    5729
SPECR2 SPEC    0,0,0,0,0           Scratch specifier                    5730
*
ICLEND DHERE   ,                   End of basic resident block          5731
*
*      Function Table                                                   5777
*
FTABLE DESCR   FTABLE,TTL+MARK,FTBLND-FTABLE-DESCR                      5779
*
*      Primitive Functions                                              5781
*
ANDFN  DESCR   ANDFUNC,0,2
       DESCR   0,0,0
ANYFN  DESCR   ANY,0,1                                                  5783
       DESCR   0,0,0                                                    5784
APLYFN DESCR   APPLY,FNF,1         FNF = variable argument count
       DESCR   0,0,0                                                    5786
ARBOFN DESCR   ARBNO,0,1                                                5787
       DESCR   0,0,0                                                    5788
ARGFN  DESCR   ARG,0,2                                                  5789
       DESCR   0,0,0                                                    5790
ARRAFN DESCR   ARRAY,0,2                                                5791
       DESCR   0,0,0                                                    5792
ASSCFN DESCR   ASSOC,0,2                                                5793
       DESCR   0,0,0                                                    5794
BACKFN DESCR   BKSPCE,0,1                                               5795
       DESCR   0,0,0                                                    5796
BREAFN DESCR   BREAKL,0,1                                               5797
       DESCR   0,0,0                                                    5798
BRXFN  DESCR   BREKX,0,1
       DESCR   0,0,0
BY2IFN DESCR   BY2I,0,1
       DESCR   0,0,0
BY2ISFN DESCR  BY2IS,0,1
       DESCR   0,0,0
BY2RFN DESCR   BY2R,0,1
       DESCR   0,0,0
BYS2RFN DESCR  BYS2R,0,1
       DESCR   0,0,0
BYX2RFN DESCR  BYX2R,0,1
       DESCR   0,0,0
CLEAFN DESCR   CLEAR,0,1                                                5799
       DESCR   0,0,0                                                    5800
CODEFN DESCR   CODER,0,1                                                5801
       DESCR   0,0,0                                                    5802
COLEFN DESCR   COLECT,0,1                                               5803
       DESCR   0,0,0                                                    5804
CNTRFN DESCR   CENTER,0,3
       DESCR   0,0,0
CHARFN DESCR   CHARF,0,1
       DESCR   0,0,0
CNVRFN DESCR   CNVRT,0,2                                                5805
       DESCR   0,0,0                                                    5806
COPYFN DESCR   COPY,0,1                                                 5807
       DESCR   0,0,0                                                    5808
DATFN  DESCR   DATE,0,1                                                 5809
       DESCR   0,0,0                                                    5810
DATDFN DESCR   DATDEF,0,1                                               5811
       DESCR   0,0,0                                                    5812
DEFIFN DESCR   DEFINE,0,2                                               5813
       DESCR   0,0,0                                                    5814
DIFFFN DESCR   DIFFER,0,2                                               5815
       DESCR   0,0,0                                                    5816
DTCHFN DESCR   DETACH,0,1                                               5817
       DESCR   0,0,0                                                    5818
DTFN   DESCR   DTLBL,0,1                                                5819
       DESCR   0,0,0                                                    5820
DUMPFN DESCR   DMP,0,1                                                  5821
       DESCR   0,0,0                                                    5822
DUPLFN DESCR   DUPL,0,2                                                 5823
       DESCR   0,0,0                                                    5824
ENDFFN DESCR   ENFILE,0,1                                               5825
       DESCR   0,0,0                                                    5826
EQFN   DESCR   EQLBL,0,2                                                5827
       DESCR   0,0,0                                                    5828
EVALFN DESCR   EVAL,0,1                                                 5829
       DESCR   0,0,0                                                    5830
FLDSFN DESCR   FIELDS,0,2                                               5831
       DESCR   0,0,0                                                    5832
GEFN   DESCR   GELBL,0,2                                                5833
       DESCR   0,0,0                                                    5834
GETEVFN DESCR  GETENVV,0,1
       DESCR   0,0,0
GTFN   DESCR   GTLBL,0,2                                                5835
       DESCR   0,0,0                                                    5836
I2BYFN DESCR   I2BY,0,1
       DESCR   0,0,0
IDENFN DESCR   IDENT,0,2                                                5837
       DESCR   0,0,0                                                    5838
CVINFN DESCR   CVINT,0,1                int(x)
       DESCR   0,0,0
INTGFN DESCR   INTGER,0,1                                               5839
       DESCR   0,0,0                                                    5840
IOFUFN DESCR   FINDUNIT,0,1
       DESCR   0,0,0
ISLABFN DESCR  ISLAB,0,1
       DESCR   0,0,0
ISNANFN DESCR  ISNAN,0,1
       DESCR   0,0,0
ITEMFN DESCR   ITEM,FNF,1                                               5841
       DESCR   0,0,0                                                    5842
LEFN   DESCR   LELBL,0,2                                                5843
       DESCR   0,0,0                                                    5844
LENFN  DESCR   LEN,0,1                                                  5845
       DESCR   0,0,0                                                    5846
LEQFN  DESCR   LEQ,0,2
       DESCR   0,0,0
LGEFN  DESCR   LGE,0,2
       DESCR   0,0,0
LGTFN  DESCR   LGT,0,2                                                  5847
       DESCR   0,0,0                                                    5848
LLEFN  DESCR   LLE,0,2
       DESCR   0,0,0
LLTFN  DESCR   LLT,0,2
       DESCR   0,0,0
LNEFN  DESCR   LNE,0,2
       DESCR   0,0,0
LOADFN DESCR   LOAD,0,2                                                 5849
       DESCR   0,0,0                                                    5850
LOCFN  DESCR   LQCAL,0,2                                                5851
       DESCR   0,0,0                                                    5852
LOGFN  DESCR   LOG,0,1
       DESCR   0,0,0                                                    5852
LOG2FN DESCR   LOG2,0,1
       DESCR   0,0,0                                                    5852
LOG10FN DESCR  LOG10,0,1
       DESCR   0,0,0                                                    5852
LOBFN  DESCR   LOBFUNC,0,1
       DESCR   0,0,0
LPADFN DESCR   LPAD,0,3
       DESCR   0,0,0
LTFN   DESCR   LTLBL,0,2                                                5853
       DESCR   0,0,0                                                    5854
MAXFN  DESCR   MAXFF,0,2
       DESCR   0,0,0
MINFN  DESCR   MINFF,0,2
       DESCR   0,0,0
NANDFN DESCR   NANDFUNC,0,2
       DESCR   0,0,0
NEFN   DESCR   NELBL,0,2                                                5855
       DESCR   0,0,0                                                    5856
NORFN  DESCR   NORFUNC,0,2
       DESCR   0,0,0
NOTFN  DESCR   NOTFUNC,0,1
       DESCR   0,0,0
NOTAFN DESCR   NOTANY,0,1                                               5857
       DESCR   0,0,0                                                    5858
OPSYFN DESCR   OPSYN,0,3                                                5859
       DESCR   0,0,0                                                    5860
LORFN  DESCR   ORFUNC,0,2
       DESCR   0,0,0
PE3FN  DESCR   PE3FUNC,0,4      ##custom##
       DESCR   0,0,0            ##custom##
POSFN  DESCR   POS,0,1                                                  5861
       DESCR   0,0,0                                                    5862
PRINFN DESCR   PRINT,0,5                                                5863
       DESCR   0,0,0                                                    5864
PROTFN DESCR   PROTOT,0,1                                               5865
       DESCR   0,0,0                                                    5866
R2BYFN DESCR   R2BY,0,1
       DESCR   0,0,0                                                    5866
R2BYSFN DESCR  R2BYS,0,1
       DESCR   0,0,0                                                    5866
R2BYXFN DESCR  R2BYX,0,1
       DESCR   0,0,0                                                    5866
RANDFN DESCR   RANDOM,0,1
       DESCR   0,0,0
REMDFN DESCR   REMDR,0,2                                                5867
       DESCR   0,0,0                                                    5868
RPADFN DESCR   RPAD,0,3
       DESCR   0,0,0
RPLAFN DESCR   RPLACE,0,3                                               5869
       DESCR   0,0,0                                                    5870
READFN DESCR   READ,0,5                                                 5871
       DESCR   0,0,0                                                    5872
CVRLFN DESCR   CVREL,0,1                real(x)
       DESCR   0,0,0
RVRSFN DESCR   REVERS,0,1
       DESCR   0,0,0
REWNFN DESCR   REWIND,0,1                                               5873
       DESCR   0,0,0                                                    5874
RPOSFN DESCR   RPOS,0,1                                                 5875
       DESCR   0,0,0                                                    5876
RTABFN DESCR   RTAB,0,1                                                 5877
       DESCR   0,0,0                                                    5878
SAVFN  DESCR   SAV,0,1
       DESCR   0,0,0
SEEKFN DESCR   SEEK,0,3
       DESCR   0,0,0
SIZEFN DESCR   SIZELBL,0,1                                              5879
       DESCR   0,0,0                                                    5880
SLEEPFN DESCR  SLEEPF,0,1
       DESCR   0,0,0
SORTFN DESCR   SORT,0,2
       DESCR   0,0,0
SPANFN DESCR   SPAN,0,1                                                 5881
       DESCR   0,0,0                                                    5882
NSPNFN DESCR   SPANNOT,0,1
       DESCR   0,0,0
SQRTFN DESCR   SQRT,0,1
       DESCR   0,0,0                                                    5852
STPTFN DESCR   STOPTR,0,2                                               5883
       DESCR   0,0,0                                                    5884
CVSTFN DESCR   CVSTR,0,1                str(x)
       DESCR   0,0,0
SSTRFN DESCR   SUBSTRL,0,3
       DESCR   0,0,0
SYSTFN DESCR   SYSTEM,0,1
       DESCR   0,0,0
TABFN  DESCR   TAB,0,1                                                  5885
       DESCR   0,0,0                                                    5886
TIMFN  DESCR   TIME,0,1                                                 5887
       DESCR   0,0,0                                                    5888
TRCEFN DESCR   TRACE,0,4                                                5889
       DESCR   0,0,0                                                    5890
TRIMFN DESCR   TRIM,0,3                                                 5891
       DESCR   0,0,0                                                    5892
UNLDFN DESCR   UNLOAD,0,1                                               5893
       DESCR   0,0,0                                                    5894
VALFN  DESCR   FIELD,0,1                                                5895
       DESCR   VALBLK,0,0                                               5896
B2HFN  DESCR   B2H,0,1
       DESCR   0,0,0
BITFN  DESCR   BIT,0,1
       DESCR   0,0,0
B2IFN  DESCR   B2I,0,1
       DESCR   0,0,0
B2ISFN DESCR   B2IS,0,1
       DESCR   0,0,0
B2RFN  DESCR   B2R,0,1
       DESCR   0,0,0
B2SFN  DESCR   B2S,0,1
       DESCR   0,0,0
ENDIBFN DESCR  ENDIANB,0,1
       DESCR   0,0,0
ENDIHFN DESCR  ENDIANH,0,1
       DESCR   0,0,0
H2BFN  DESCR   H2B,0,1
       DESCR   0,0,0
H2IFN  DESCR   H2I,0,1
       DESCR   0,0,0
H2ISFN DESCR   H2IS,0,1
       DESCR   0,0,0
H2RFN  DESCR   H2R,0,1
       DESCR   0,0,0
HX2RFN DESCR   HX2R,0,1
       DESCR   0,0,0
HS2RFN DESCR   HS2R,0,1
       DESCR   0,0,0
H2SFN  DESCR   H2S,0,1
       DESCR   0,0,0
HEXFN  DESCR   HEX,0,1
       DESCR   0,0,0
R2HSFN DESCR   R2HS,0,1
       DESCR   0,0,0
R2HXFN DESCR   R2HX,0,1
       DESCR   0,0,0
SINFN  DESCR   SINRAD,0,1
       DESCR   0,0,0
COSFN  DESCR   COSRAD,0,1
       DESCR   0,0,0
ABSFN  DESCR   ABS,0,1
       DESCR   0,0,0
ATAN2FN DESCR  ATAN2RAD,0,2
       DESCR   0,0,0
ATANFN DESCR   ATANRAD,0,1
       DESCR   0,0,0
TANFN  DESCR   TANRAD,0,1
       DESCR   0,0,0
XORFN  DESCR   XORFUNC,0,2
       DESCR   0,0,0
FTBLND DHERE   ,                                                        5897
*
*      Function Pair List                                               5909
*
FNLIST DESCR   FNLIST,TTL+MARK,FNCPLE-FNLIST-DESCR                      5911
       DESCR   ANDFN,FNF,0         AND(x,y)
       DESCR   ANDSP,0,0
       DESCR   ANDFN,FNF,0         and(x,y)
       DESCR   ANDSPlc,0,0
       DESCR   ANYFN,FNF,0         ANY(CS)
       DESCR   ANYSP,0,0                                                5913
       DESCR   ANYFN,FNF,0         any(cs)
       DESCR   ANYSPlc,0,0                                              5913
       DESCR   APLYFN,FNF,0        APPLY(F,A1,...,AN)
       DESCR   APLYSP,0,0                                               5915
       DESCR   APLYFN,FNF,0        apply(f,a1,...,an)
       DESCR   APLYSPlc,0,0                                             5915
       DESCR   ARBOFN,FNF,0        ARBNO(P)
       DESCR   ARBNSP,0,0                                               5917
       DESCR   ARBOFN,FNF,0        arbno(p)
       DESCR   ARBNSPlc,0,0                                             5917
       DESCR   ARGFN,FNF,0         ARG(F,N)
       DESCR   ARGSP,0,0                                                5919
       DESCR   ARGFN,FNF,0         arg(f,n)
       DESCR   ARGSPlc,0,0                                              5919
       DESCR   ARRAFN,FNF,0        ARRAY(P,V)
       DESCR   ARRSP,0,0                                                5921
       DESCR   ARRAFN,FNF,0        array(p,v)
       DESCR   ARRSPlc,0,0                                              5921
       DESCR   BACKFN,FNF,0        BACKSPACE(N)
       DESCR   BACKSP,0,0                                               5923
       DESCR   BACKFN,FNF,0        backspace(n)
       DESCR   BACKSPlc,0,0                                             5923
       DESCR   BREAFN,FNF,0        BREAK(CS)
       DESCR   BRKSP,0,0                                                5925
       DESCR   BREAFN,FNF,0        break(cs)
       DESCR   BRKSPlc,0,0                                              5925
       DESCR   BRXFN,FNF,0         BREAKX(CS)
       DESCR   BRXSP,0,0
       DESCR   BRXFN,FNF,0         breakx(cs)
       DESCR   BRXSPlc,0,0
       DESCR   BY2IFN,FNF,0        BYTES2I(s)
       DESCR   BY2ISP,0,0
       DESCR   BY2IFN,FNF,0        bytes2i(s)
       DESCR   BY2ISPlc,0,0
       DESCR   BY2ISFN,FNF,0       BYTES2IS(s)
       DESCR   BY2ISSP,0,0
       DESCR   BY2ISFN,FNF,0       bytes2is(s)
       DESCR   BY2ISSPlc,0,0
       DESCR   BY2RFN,FNF,0        BYTES2R(s)
       DESCR   BY2RSP,0,0
       DESCR   BY2RFN,FNF,0        bytes2r(s)
       DESCR   BY2RSPlc,0,0
       DESCR   BYS2RFN,FNF,0       BYTESS2R(s)
       DESCR   BYS2RSP,0,0
       DESCR   BYS2RFN,FNF,0       bytess2r(s)
       DESCR   BYS2RSPlc,0,0
       DESCR   BYX2RFN,FNF,0       BYTESX2R(s)
       DESCR   BYX2RSP,0,0
       DESCR   BYX2RFN,FNF,0       bytesx2r(s)
       DESCR   BYX2RSPlc,0,0
       DESCR   CLEAFN,FNF,0        CLEAR()
       DESCR   CLERSP,0,0                                               5927
       DESCR   CLEAFN,FNF,0        clear()
       DESCR   CLERSPlc,0,0                                             5927
       DESCR   CNTRFN,FNF,0        CENTER(S,L)
       DESCR   CNTRSP,0,0
       DESCR   CNTRFN,FNF,0        center(S,L)
       DESCR   CNTRSPlc,0,0
       DESCR   CHARFN,FNF,0        CHAR(N)
       DESCR   CHARSP,0,0
       DESCR   CHARFN,FNF,0        char(N)
       DESCR   CHARSPlc,0,0
       DESCR   CODEFN,FNF,0        CODE(S)
       DESCR   CODESP,0,0                                               5929
       DESCR   CODEFN,FNF,0        code(s)
       DESCR   CODESPlc,0,0                                             5929
       DESCR   COLEFN,FNF,0        COLLECT(N)
       DESCR   CLSP,0,0                                                 5931
       DESCR   COLEFN,FNF,0        collect(n)
       DESCR   CLSPlc,0,0                                               5931
       DESCR   CNVRFN,FNF,0        CONVERT(V,DT)
       DESCR   CNVTSP,0,0                                               5933
       DESCR   CNVRFN,FNF,0        convert(v,dt)
       DESCR   CNVTSPlc,0,0                                             5933
       DESCR   COPYFN,FNF,0        COPY(V)
       DESCR   COPYSP,0,0                                               5935
       DESCR   COPYFN,FNF,0        copy(v)
       DESCR   COPYSPlc,0,0                                             5935
       DESCR   DATDFN,FNF,0        DATA(P)
       DESCR   DATASP,0,0                                               5937
       DESCR   DATDFN,FNF,0        data(p)
       DESCR   DATASPlc,0,0                                             5937
       DESCR   DTFN,FNF,0          DATATYPE(V)
       DESCR   DTSP,0,0                                                 5947
       DESCR   DTFN,FNF,0          datatype(v)
       DESCR   DTSPlc,0,0                                               5947
       DESCR   DATFN,FNF,0         DATE() E3.0.5
       DESCR   DATSP,0,0                                                5939
       DESCR   DATFN,FNF,0         date()
       DESCR   DATSPlc,0,0                                              5939
       DESCR   DEFIFN,FNF,0        DEFINE(P,L)
       DESCR   DEFISP,0,0                                               5941
       DESCR   DEFIFN,FNF,0        define(p,l)
       DESCR   DEFISPlc,0,0                                             5941
       DESCR   DTCHFN,FNF,0        DETACH(V)
       DESCR   DTCHSP,0,0                                               5945
       DESCR   DTCHFN,FNF,0        detach(v)
       DESCR   DTCHSPlc,0,0                                             5945
       DESCR   DIFFFN,FNF,0        DIFFER(V1,V2)
       DESCR   DIFFSP,0,0                                               5943
       DESCR   DIFFFN,FNF,0        differ(v1,v2)
       DESCR   DIFFSPlc,0,0                                             5943
       DESCR   DUMPFN,FNF,0        DUMP()
       DESCR   DUMPSP,0,0                                               5949
       DESCR   DUMPFN,FNF,0        dump()
       DESCR   DUMPSPlc,0,0                                             5949
       DESCR   DUPLFN,FNF,0        DUPL(S,N)
       DESCR   DUPLSP,0,0                                               5951
       DESCR   DUPLFN,FNF,0        dupl(s,n)
       DESCR   DUPLSPlc,0,0                                             5951
       DESCR   ENDFFN,FNF,0        ENDFILE(N)
       DESCR   ENDFSP,0,0                                               5953
       DESCR   ENDFFN,FNF,0        endfile(n)
       DESCR   ENDFSPlc,0,0                                             5953
       DESCR   EQFN,FNF,0          EQ(I1,I2)
       DESCR   EQSP,0,0                                                 5955
       DESCR   EQFN,FNF,0          eq(i1,i2)
       DESCR   EQSPlc,0,0                                               5955
       DESCR   EVALFN,FNF,0        EVAL(E)
       DESCR   EVALSP,0,0                                               5957
       DESCR   EVALFN,FNF,0        eval(e)
       DESCR   EVALSPlc,0,0                                             5957
       DESCR   FLDSFN,FNF,0        FIELD(V,N)
       DESCR   FLDSSP,0,0                                               5959
       DESCR   FLDSFN,FNF,0        field(v,n)
       DESCR   FLDSSPlc,0,0                                             5959
       DESCR   GEFN,FNF,0          GE(I1,I2)
       DESCR   GESP,0,0                                                 5961
       DESCR   GEFN,FNF,0          ge(i1,i2)
       DESCR   GESPlc,0,0                                               5961
       DESCR   GTFN,FNF,0          GT(I1,I2)
       DESCR   GTSP,0,0                                                 5963
       DESCR   GTFN,FNF,0          gt(i1,i2)
       DESCR   GTSPlc,0,0                                               5963
       DESCR   I2BYFN,FNF,0        I2BYTES(r)
       DESCR   I2BYSP,0,0
       DESCR   I2BYFN,FNF,0        i2bytes(r)
       DESCR   I2BYSPlc,0,0
       DESCR   IDENFN,FNF,0        IDENT(V1,V2)
       DESCR   IDENSP,0,0                                               5965
       DESCR   IDENFN,FNF,0        ident(v1,v2)
       DESCR   IDENSPlc,0,0                                             5965
       DESCR   READFN,FNF,0        INPUT(V,N,L,F,A)
       DESCR   INSP,0,0                                                 5967
       DESCR   READFN,FNF,0        input(v,n,l,f,a)
       DESCR   INSPlc,0,0                                               5967
       DESCR   CVINFN,FNF,0        INT(x)
       DESCR   INTSP,0,0
       DESCR   CVINFN,FNF,0        int(x)
       DESCR   INTSPlc,0,0
       DESCR   INTGFN,FNF,0        INTEGER(V)
       DESCR   INTGSP,0,0                                               5969
       DESCR   INTGFN,FNF,0        integer(v)
       DESCR   INTGSPlc,0,0                                             5969
       DESCR   IOFUFN,FNF,0        IO_FINDUNIT()
       DESCR   IOFUSP,0,0
       DESCR   IOFUFN,FNF,0        io_findunit()
       DESCR   IOFUSPlc,0,0
       DESCR   ISNANFN,FNF,0       ISNAN(x)
       DESCR   ISNANSP,0,0
       DESCR   ISNANFN,FNF,0       isnan(x)
       DESCR   ISNANSPlc,0,0
       DESCR   ITEMFN,FNF,0        ITEM(A,I1,...,IN)
       DESCR   ITEMSP,0,0                                               5971
       DESCR   ITEMFN,FNF,0        item(a,i1,...,in)
       DESCR   ITEMSPlc,0,0                                             5971
       DESCR   ISLABFN,FNF,0       LABEL(x)
       DESCR   ISLABSP,0,0
       DESCR   ISLABFN,FNF,0       label(x)
       DESCR   ISLABSPlc,0,0
       DESCR   LEFN,FNF,0          LE(I1,I2)
       DESCR   LESP,0,0                                                 5975
       DESCR   LEFN,FNF,0          le(i1,i2)
       DESCR   LESPlc,0,0                                               5975
       DESCR   LENFN,FNF,0         LEN(N)
       DESCR   LENSP,0,0                                                5973
       DESCR   LENFN,FNF,0         len(n)
       DESCR   LENSPlc,0,0                                              5973
       DESCR   LEQFN,FNF,0         LEQ(S1,S2)
       DESCR   LEQSP,0,0
       DESCR   LEQFN,FNF,0         leq(S1,S2)
       DESCR   LEQSPlc,0,0
       DESCR   LGEFN,FNF,0         LGE(S1,S2)
       DESCR   LGESP,0,0
       DESCR   LGEFN,FNF,0         lge(S1,S2)
       DESCR   LGESPlc,0,0
       DESCR   LGTFN,FNF,0         LGT(S1,S2)
       DESCR   LGTSP,0,0                                                5977
       DESCR   LGTFN,FNF,0         lgt(s1,s2)
       DESCR   LGTSPlc,0,0                                              5977
       DESCR   LLEFN,FNF,0         LLE(S1,S2)
       DESCR   LLESP,0,0
       DESCR   LLEFN,FNF,0         lle(S1,S2)
       DESCR   LLESPlc,0,0
       DESCR   LLTFN,FNF,0         LLT(S1,S2)
       DESCR   LLTSP,0,0
       DESCR   LLTFN,FNF,0         llt(S1,S2)
       DESCR   LLTSPlc,0,0
       DESCR   LNEFN,FNF,0         LNE(S1,S2)
       DESCR   LNESP,0,0
       DESCR   LNEFN,FNF,0         lne(S1,S2)
       DESCR   LNESPlc,0,0
       DESCR   LPADFN,FNF,0        LPAD(S,L)
       DESCR   LPADSP,0,0
       DESCR   LPADFN,FNF,0        lpad(S,L)
       DESCR   LPADSPlc,0,0
       DESCR   LOADFN,FNF,0        LOAD(P)
       DESCR   LOADSP,0,0                                               5979
       DESCR   LOCFN,FNF,0         LOCAL(F,N)
       DESCR   LOCSP,0,0                                                5981
       DESCR   LOCFN,FNF,0         local(f,n)
       DESCR   LOCSPlc,0,0                                              5981
       DESCR   LOGFN,FNF,0         LOG(x)
       DESCR   LOGSP,0,0
       DESCR   LOGFN,FNF,0         log(x)
       DESCR   LOGSPlc,0,0
       DESCR   LOG2FN,FNF,0        LOG2(x)
       DESCR   LOG2SP,0,0
       DESCR   LOG2FN,FNF,0        log2(x)
       DESCR   LOG2SPlc,0,0
       DESCR   LOG10FN,FNF,0       LOG10(x)
       DESCR   LOG10SP,0,0
       DESCR   LOG10FN,FNF,0       log10(x)
       DESCR   LOG10SPlc,0,0
       DESCR   LOBFN,FNF,0         LOB(x)
       DESCR   LOBSP,0,0
       DESCR   LOBFN,FNF,0         lob(x)
       DESCR   LOBSPlc,0,0
       DESCR   LTFN,FNF,0          LT(I1,I2)
       DESCR   LTSP,0,0                                                 5983
       DESCR   LTFN,FNF,0          lt(i1,i2)
       DESCR   LTSPlc,0,0                                               5983
       DESCR   MAXFN,FNF,0         MAX(x,y)
       DESCR   MAXSP,0,0
       DESCR   MAXFN,FNF,0         max(x,y)
       DESCR   MAXSPlc,0,0
       DESCR   MINFN,FNF,0         MIN(x,y)
       DESCR   MINSP,0,0
       DESCR   MINFN,FNF,0         min(x,y)
       DESCR   MINSPlc,0,0
       DESCR   NANDFN,FNF,0        NAND(x,y)
       DESCR   NANDSP,0,0
       DESCR   NANDFN,FNF,0        nand(x,y)
       DESCR   NANDSPlc,0,0
       DESCR   NEFN,FNF,0          NE(I1,I2)
       DESCR   NESP,0,0                                                 5985
       DESCR   NEFN,FNF,0          ne(i1,i2)
       DESCR   NESPlc,0,0                                               5985
       DESCR   NORFN,FNF,0         NOR(x,y)
       DESCR   NORSP,0,0
       DESCR   NORFN,FNF,0         nor(x,y)
       DESCR   NORSPlc,0,0
       DESCR   NOTFN,FNF,0         NOT(x,y)
       DESCR   NOTSP,0,0
       DESCR   NOTFN,FNF,0         not(x,y)
       DESCR   NOTSPlc,0,0
       DESCR   NOTAFN,FNF,0        NOTANY(CS)
       DESCR   NNYSP,0,0                                                5987
       DESCR   NOTAFN,FNF,0        notany(cs)
       DESCR   NNYSPlc,0,0                                              5987
       DESCR   OPSYFN,FNF,0        OPSYN(F1,F2,N)
       DESCR   OPSNSP,0,0                                               5989
       DESCR   OPSYFN,FNF,0        opsyn(f1,f2,n)
       DESCR   OPSNSPlc,0,0                                             5989
       DESCR   LORFN,FNF,0         OR(x,y)
       DESCR   ORSP,0,0
       DESCR   LORFN,FNF,0         or(x,y)
       DESCR   ORSPlc,0,0
       DESCR   PRINFN,FNF,0        OUTPUT(V,N,F,FN,A)
       DESCR   OUTSP,0,0                                                5991
       DESCR   PRINFN,FNF,0        output(v,n,f,fn,a)
       DESCR   OUTSPlc,0,0                                              5991
       DESCR   PE3FN,FNF,0         ##custom##
       DESCR   PE3SP,0,0           ##custom##
       DESCR   POSFN,FNF,0         POS(N)
       DESCR   POSSP,0,0                                                5993
       DESCR   POSFN,FNF,0         pos(n)
       DESCR   POSSPlc,0,0                                              5993
       DESCR   PROTFN,FNF,0        PROTOTYPE(A)
       DESCR   PRTSP,0,0                                                5995
       DESCR   PROTFN,FNF,0        prototype(a)
       DESCR   PRTSPlc,0,0                                              5995
       DESCR   R2BYFN,FNF,0        R2BYTES(r)
       DESCR   R2BYSP,0,0
       DESCR   R2BYFN,FNF,0        r2bytes(r)
       DESCR   R2BYSPlc,0,0
       DESCR   R2BYSFN,FNF,0       R2BYTESS(r)
       DESCR   R2BYSSP,0,0
       DESCR   R2BYSFN,FNF,0       r2bytess(r)
       DESCR   R2BYSSPlc,0,0
       DESCR   R2BYXFN,FNF,0       R2BYTESX(r)
       DESCR   R2BYXSP,0,0
       DESCR   R2BYXFN,FNF,0       r2bytesx(r)
       DESCR   R2BYXSPlc,0,0
       DESCR   RANDFN,FNF,0        RAND()
       DESCR   RANDSP,0,0
       DESCR   RANDFN,FNF,0        rand()
       DESCR   RANDSPlc,0,0
       DESCR   CVRLFN,FNF,0        REAL(X)
       DESCR   RLSP,0,0
       DESCR   CVRLFN,FNF,0        real(x)
       DESCR   RLSPlc,0,0
       DESCR   REMDFN,FNF,0        REMDR(N,M)
       DESCR   REMDSP,0,0                                               5997
       DESCR   REMDFN,FNF,0        remdr(n,m)
       DESCR   REMDSPlc,0,0                                             5997
       DESCR   RPLAFN,FNF,0        REPLACE(S,CS1,CS2)
       DESCR   RPLCSP,0,0                                               6001
       DESCR   RPLAFN,FNF,0        replace(s,cs1,cs2)
       DESCR   RPLCSPlc,0,0                                             6001
       DESCR   RVRSFN,FNF,0        REV(S)
       DESCR   RVRSSP2,0,0
       DESCR   RVRSFN,FNF,0        rev(S)
       DESCR   RVRSSPlc2,0,0
       DESCR   RVRSFN,FNF,0        REVERSE(S)
       DESCR   RVRSSP,0,0
       DESCR   RVRSFN,FNF,0        reverse(S)
       DESCR   RVRSSPlc,0,0
       DESCR   REWNFN,FNF,0        REWIND(N)
       DESCR   REWNSP,0,0                                               5999
       DESCR   REWNFN,FNF,0        rewind(n)
       DESCR   REWNSPlc,0,0                                             5999
       DESCR   RPADFN,FNF,0        RPAD(S,L)
       DESCR   RPADSP,0,0
       DESCR   RPADFN,FNF,0        rpad(S,L)
       DESCR   RPADSPlc,0,0
       DESCR   RPOSFN,FNF,0        RPOS(N)
       DESCR   RPOSSP,0,0                                               6003
       DESCR   RPOSFN,FNF,0        rpos(n)
       DESCR   RPOSSPlc,0,0                                             6003
       DESCR   RTABFN,FNF,0        RTAB(N)
       DESCR   RTABSP,0,0                                               6005
       DESCR   RTABFN,FNF,0        rtab(n)
       DESCR   RTABSPlc,0,0                                             6005
*       DESCR   SAVFN,FNF,0         SAVE(S)
*       DESCR   SAVSP,0,0
       DESCR   SEEKFN,FNF,0        SEEK(U,POS,TYPE)
       DESCR   SEEKSP,0,0
       DESCR   SEEKFN,FNF,0        seek(u,pos,type)
       DESCR   SEEKSPlc,0,0
       DESCR   SIZEFN,FNF,0        SIZE(S)
       DESCR   SIZESP,0,0                                               6007
       DESCR   SIZEFN,FNF,0        size(S)
       DESCR   SIZESPlc,0,0
       DESCR   SLEEPFN,FNF,0       SLEEP(t)
       DESCR   SLEEPSP,0,0
       DESCR   SLEEPFN,FNF,0       sleep(t)
       DESCR   SLEEPSPlc,0,0
       DESCR   SORTFN,FNF,0        SORT(ARRAY,STYPE)
       DESCR   SORTSP,0,0
       DESCR   SORTFN,FNF,0        sort(ARRAY,STYPE)
       DESCR   SORTSPlc,0,0
       DESCR   SPANFN,FNF,0        SPAN(CS)
       DESCR   SPANSP,0,0                                               6009
       DESCR   SPANFN,FNF,0        span(cs)
       DESCR   SPANSPlc,0,0
       DESCR   NSPNFN,FNF,0        SPANNOT(CS)
       DESCR   NSPNSP,0,0
       DESCR   NSPNFN,FNF,0        spannot(cs)
       DESCR   NSPNSPlc,0,0
       DESCR   SQRTFN,FNF,0        SQRT(X)
       DESCR   SQRTSP,0,0
       DESCR   SQRTFN,FNF,0        sqrt(X)
       DESCR   SQRTSPlc,0,0
       DESCR   STPTFN,FNF,0        STOPTR(V,R)
       DESCR   STPTSP,0,0                                               6011
       DESCR   STPTFN,FNF,0        stoptr(v,r)
       DESCR   STPTSPlc,0,0                                             6011
       DESCR   CVSTFN,FNF,0        STR(x)
       DESCR   STRSP,0,0
       DESCR   CVSTFN,FNF,0        str(x)
       DESCR   STRSPlc,0,0
       DESCR   SSTRFN,FNF,0        SUBSTR(S,P,L)
       DESCR   SSTRSP,0,0
       DESCR   SSTRFN,FNF,0        substr(s,p,l)
       DESCR   SSTRSPlc,0,0
       DESCR   SYSTFN,FNF,0        SYSTEM(S)
       DESCR   SYSTSP,0,0
       DESCR   SYSTFN,FNF,0        system(S)
       DESCR   SYSTSPlc,0,0
       DESCR   TABFN,FNF,0         TAB(N)
       DESCR   TABSP,0,0                                                6013
       DESCR   TABFN,FNF,0         tab(n)
       DESCR   TABSPlc,0,0                                              6013
       DESCR   ASSCFN,FNF,0        TABLE(N,M)
       DESCR   ASSCSP,0,0                                               6015
       DESCR   ASSCFN,FNF,0        table(n,m)
       DESCR   ASSCSPlc,0,0                                             6015
       DESCR   TIMFN,FNF,0         TIME()
       DESCR   TIMSP,0,0                                                6017
       DESCR   TIMFN,FNF,0         time()
       DESCR   TIMSPlc,0,0                                              6017
       DESCR   TRCEFN,FNF,0        TRACE(V,R,T,F)
       DESCR   TRCESP,0,0                                               6019
       DESCR   TRCEFN,FNF,0        trace(v,r,t,f)
       DESCR   TRCESPlc,0,0                                             6019
       DESCR   TRIMFN,FNF,0        TRIM(S)
       DESCR   TRMSP,0,0                                                6021
       DESCR   TRIMFN,FNF,0        trim(s)
       DESCR   TRMSPlc,0,0                                              6021
       DESCR   UNLDFN,FNF,0        UNLOAD(S)
       DESCR   UNLDSP,0,0                                               6023
       DESCR   VALFN,FNF,0         VALUE(S)
       DESCR   VALSP,0,0                                                6025
       DESCR   VALFN,FNF,0         value(s)
       DESCR   VALSPlc,0,0                                              6025
       DESCR   XORFN,FNF,0         XOR(x,y)
       DESCR   XORSP,0,0
       DESCR   XORFN,FNF,0         xor(x,y)
       DESCR   XORSPlc,0,0
       DESCR   B2HFN,FNF,0         BIT2H(BS)
       DESCR   B2HSP,0,0
       DESCR   B2HFN,FNF,0         bit2h(BS)
       DESCR   B2HSPlc,0,0
       DESCR   BITFN,FNF,0         BIT(x)
       DESCR   BITSP,0,0
       DESCR   BITFN,FNF,0         bit(x)
       DESCR   BITSPlc,0,0
       DESCR   B2IFN,FNF,0         BIT2I(BS)
       DESCR   B2ISP,0,0
       DESCR   B2IFN,FNF,0         bit2i(BS)
       DESCR   B2ISPlc,0,0
       DESCR   B2ISFN,FNF,0        BIT2IS(BS)
       DESCR   B2ISSP,0,0
       DESCR   B2ISFN,FNF,0        bit2is(BS)
       DESCR   B2ISSPlc,0,0
       DESCR   B2RFN,FNF,0         BIT2R(BS)
       DESCR   B2RSP,0,0
       DESCR   B2RFN,FNF,0         bit2r(BS)
       DESCR   B2RSPlc,0,0
       DESCR   B2SFN,FNF,0         BIT2S(BS)
       DESCR   B2SSP,0,0
       DESCR   B2SFN,FNF,0         bit2s(BS)
       DESCR   B2SSPlc,0,0
       DESCR   ENDIBFN,FNF,0       ENDIANB(BS)
       DESCR   ENDIBSP,0,0
       DESCR   ENDIBFN,FNF,0       endianb(BS)
       DESCR   ENDIBSPlc,0,0
       DESCR   ENDIHFN,FNF,0       ENDIANH(BS)
       DESCR   ENDIHSP,0,0
       DESCR   ENDIHFN,FNF,0       endianh(BS)
       DESCR   ENDIHSPlc,0,0
       DESCR   GETEVFN,FNF,0       GETENV(s)
       DESCR   GENVSP,0,0
       DESCR   GETEVFN,FNF,0       getenv(s)
       DESCR   GENVSPlc,0,0
       DESCR   H2BFN,FNF,0         HEX2B(HS)
       DESCR   H2BSP,0,0
       DESCR   H2BFN,FNF,0         hex2b(HS)
       DESCR   H2BSPlc,0,0
       DESCR   H2IFN,FNF,0         HEX2I(HS)
       DESCR   H2ISP,0,0
       DESCR   H2IFN,FNF,0         hex2i(HS)
       DESCR   H2ISPlc,0,0
       DESCR   H2ISFN,FNF,0        HEX2IS(HS)
       DESCR   H2ISSP,0,0
       DESCR   H2ISFN,FNF,0        hex2is(HS)
       DESCR   H2ISSPlc,0,0
       DESCR   H2RFN,FNF,0         HEX2R(HS)
       DESCR   H2RSP,0,0
       DESCR   H2RFN,FNF,0         hex2r(HS)
       DESCR   H2RSPlc,0,0
       DESCR   H2SFN,FNF,0         HEX2S(HS)
       DESCR   H2SSP,0,0
       DESCR   H2SFN,FNF,0         hex2s(HS)
       DESCR   H2SSPlc,0,0
       DESCR   HEXFN,FNF,0         HEX(x)
       DESCR   HEXSP,0,0
       DESCR   HEXFN,FNF,0         hex(x)
       DESCR   HEXSPlc,0,0
       DESCR   HX2RFN,FNF,0        HEXX2R(HS)
       DESCR   HX2RSP,0,0
       DESCR   HX2RFN,FNF,0        hexx2r(HS)
       DESCR   HX2RSPlc,0,0
       DESCR   HS2RFN,FNF,0        HEXS2R(HS)
       DESCR   HS2RSP,0,0
       DESCR   HS2RFN,FNF,0        hexs2r(HS)
       DESCR   HS2RSPlc,0,0
       DESCR   ABSFN,FNF,0         ABS(x)
       DESCR   ABSSP,0,0
       DESCR   ABSFN,FNF,0         abs(x)
       DESCR   ABSSPlc,0,0
       DESCR   ATANFN,FNF,0        ATAN(x) returns radians
       DESCR   ATANSP,0,0
       DESCR   ATANFN,FNF,0        atan(x) returns radians
       DESCR   ATANSPlc,0,0
       DESCR   ATAN2FN,FNF,0       ATAN2(x,y) returns radians
       DESCR   ATAN2SP,0,0
       DESCR   ATAN2FN,FNF,0       atan2(x,y) returns radians
       DESCR   ATAN2SPlc,0,0
       DESCR   SINFN,FNF,0         SIN(radians)
       DESCR   SINSP,0,0
       DESCR   SINFN,FNF,0         sin(radians)
       DESCR   SINSPlc,0,0
       DESCR   COSFN,FNF,0         COS(radians)
       DESCR   COSSP,0,0
       DESCR   COSFN,FNF,0         cos(radians)
       DESCR   COSSPlc,0,0
       DESCR   TANFN,FNF,0         TAN(radians)
       DESCR   TANSP,0,0
       DESCR   TANFN,FNF,0         tan(radians)
       DESCR   TANSPlc,0,0
       DESCR   R2HSFN,FNF,0
       DESCR   R2HEXSSP,0,0
       DESCR   R2HSFN,FNF,0
       DESCR   R2HEXSSPlc,0,0
       DESCR   R2HXFN,FNF,0
       DESCR   R2HEXXSP,0,0
       DESCR   R2HXFN,FNF,0
       DESCR   R2HEXXSPlc,0,0
       ARRAY    10*2
*####why?  ARRAY   10*2                Space for 10 more functions
FNCPLE DHERE   ,                   End of function pair list            6027
*
OPTBL  DESCR   OPTBL,TTL+MARK,OPTBND-OPTBL-DESCR                        6028
ADDFN  DESCR   ADDLBL,0,2          X + Y    addition                    6029
       DESCR   0,0,0                                                    6030
       DESCR   30,0,29                                                  6031
BIAMFN DESCR   UNDF,FNF,0          X & Y    definable                   6032
       DESCR   0,0,0                                                    6033
       DESCR   5,0,4                                                    6034
BIATFN DESCR   UNDF,FNF,0          X @ Y    definable                   6035
       DESCR   0,0,0                                                    6036
       DESCR   25,0,24                                                  6037
BINGFN DESCR   UNDF,FNF,0          X \ Y    definable                   6038
       DESCR   0,0,0                                                    6039
       DESCR   70,0,70                                                  6040
BIPDFN DESCR   UNDF,FNF,0          X # Y    definable                   6041
       DESCR   0,0,0                                                    6042
       DESCR   35,0,34                                                  6043
BIPRFN DESCR   UNDF,FNF,0          X % Y    definable                   6044
       DESCR   0,0,0                                                    6045
       DESCR   45,0,44                                                  6046
BIQSFN DESCR   UNDF,FNF,0          X ? Y    definable                   6047
       DESCR   0,0,0                                                    6048
       DESCR   70,0,69                                                  6049
CONFN  DESCR   CON,0,2             X   Y    concatenation               6050
       DESCR   0,0,0                                                    6051
       DESCR   20,0,19                                                  6052
DIVFN  DESCR   DIVLBL,0,2          X / Y    division                    6053
       DESCR   0,0,0                                                    6054
       DESCR   40,0,39                                                  6055
DOLFN  DESCR   DOL,0,2             X $ Y    immediate naming            6056
       DESCR   0,0,0                                                    6057
       DESCR   60,0,59                                                  6058
EXPFN  DESCR   EXPLBL,0,2          X ** Y   exponentiation              6059
       DESCR   0,0,0                                                    6060
       DESCR   50,0,50                                                  6061
MPYFN  DESCR   MPY,0,2             X * Y    multiplication              6062
       DESCR   0,0,0                                                    6063
       DESCR   42,0,41                                                  6064
NAMFN  DESCR   NAM,0,2             X . Y    naming                      6065
       DESCR   0,0,0                                                    6066
       DESCR   60,0,59                                                  6067
ORFN   DESCR   ORLBL,0,2           X | Y    alternation                 6068
       DESCR   0,0,0                                                    6069
       DESCR   10,0,9                                                   6070
SUBFN  DESCR   SUBLBL,0,2          X - Y    subtraction                 6071
       DESCR   0,0,0                                                    6072
       DESCR   30,0,29                                                  6073
AROWFN DESCR   UNDF,FNF,0          !X       definable                   6074
       DESCR   0,0,0                                                    6075
ATFN   DESCR   ATOP,0,1            @X       scanner position            6076
       DESCR   0,0,0                                                    6077
BARFN  DESCR   UNDF,FNF,0          |X       definable                   6078
       DESCR   0,0,0                                                    6079
DOTFN  DESCR   NAMEOP,0,1          .X       name                        6080
       DESCR   0,0,0                                                    6081
INDFN  DESCR   IND,0,1             $X       indirect reference          6082
       DESCR   0,0,0                                                    6083
KEYFN  DESCR   KEYWRD,0,1          &X       keyword                     6084
       DESCR   0,0,0                                                    6085
MNSFN  DESCR   MNS,0,1             -X       minus                       6086
       DESCR   0,0,0                                                    6087
NEGFN  DESCR   NEGLBL,0,1          \X       negation                    6088
       DESCR   0,0,0                                                    6089
PDFN   DESCR   UNDF,FNF,0          #X       definable                   6090
       DESCR   0,0,0                                                    6091
PLSFN  DESCR   PLS,0,1             +X       plus                        6092
       DESCR   0,0,0                                                    6093
PRFN   DESCR   UNDF,FNF,0          %X       definable                   6094
       DESCR   0,0,0                                                    6095
QUESFN DESCR   QUES,0,1            ?X       interrogation               6096
       DESCR   0,0,0                                                    6097
SLHFN  DESCR   UNDF,FNF,0          /X       definable                   6098
       DESCR   0,0,0                                                    6099
STRFN  DESCR   STRLBL,0,1          *X       unevaluated expression      6100
       DESCR   0,0,0                                                    6101
OPTBND DHERE   ,                   End of operator table                6102
*
*      System Arrays                                                    6278
*
PRMTBL DESCR   PRMTBL,TTL+MARK,PRMSIZ                                   6280
       DESCR   DTLIST,PTRF,0       Data type pair list
       DESCR   FNLIST,PTRF,0       Function pair list
       DESCR   FTABLE,PTRF,0       Procedure descriptor table
       DESCR   ICLBLK,PTRF,0       Miscellaneous data
       DESCR   KNLIST,PTRF,0       Unprotected keyword pair list
       DESCR   KVLIST,PTRF,0       Protected keyword pair list
       DESCR   OPTBL,PTRF,0        Operator procedure descriptors
*      DESCR   STACK,PTRF,0        Interpreter stack
       DESCR   INLIST,PTRF,0       Input association pair list
       DESCR   OTLIST,PTRF,0       Output association pair list
       DESCR   INSATL,PTRF,0       Input block list
       DESCR   OTSATL,PTRF,0       Output block list
       DESCR   TFENPL,PTRF,0       Call trace pair list
       DESCR   TFEXPL,PTRF,0       Return trace pair list
       DESCR   TKEYPL,PTRF,0       Keyword trace pair list
       DESCR   TLABPL,PTRF,0       Label trace pair list
       DESCR   TRLIST,PTRF,0       Trace pair list
       DESCR   TVALPL,PTRF,0       Value trace pair list
*####       DESCR   UNITV,PTRF,0        I/O Unit vector
PRMTRM DHERE   ,                   End of basic block list              6299
PRMSIZ EQUD    PRMTRM-PRMTBL-DESCR Size of basic block list             6300
*
*      Pattern Matching History List                                    6309
*
PDLBLK DESCR   PDLBLK,TTL+MARK,SPDLSZ*DESCR                             6311
       ARRAY   SPDLSZ              Pattern history list                 6312
*
*      SYSTEM  STACK                                                    6314
*
*STACK DESCR   STACK,TTL+MARK,STSIZE*DESCR
*      ARRAY   STSIZE              Interpreter stack
*
*      Primitive Patterns                                               6319
*
ABORPT DESCR   ABORPT,TTL+MARK,3*DESCR                                  6321
       DESCR   ABORFN,FNF,2        ABORT
       DESCR   0,0,0                                                    6323
       DESCR   0,0,0                                                    6324
*
ARBAK  DESCR   ARBAK,TTL+MARK,6*DESCR                                   6326
       DESCR   ONARFN,FNF,2
       DESCR   3*DESCR,0,0                                              6328
       DESCR   0,0,0                                                    6329
       DESCR   ONRFFN,FNF,2
       DESCR   0,0,0                                                    6331
       DESCR   0,0,0                                                    6332
*
ARBPT  DESCR   ARBPT,TTL+MARK,9*DESCR                                   6334
       DESCR   SCOKFN,FNF,2        ARB
       DESCR   0,0,3*DESCR                                              6336
       DESCR   0,0,0                                                    6337
       DESCR   SCOKFN,FNF,2
       DESCR   6*DESCR,0,0                                              6339
       DESCR   0,0,0                                                    6340
       DESCR   FARBFN,FNF,2
       DESCR   6*DESCR,0,0                                              6342
       DESCR   0,0,0                                                    6343
*
ARHED  DESCR   ARHED,TTL+MARK,12*DESCR                                  6345
       DESCR   SCOKFN,FNF,2
       DESCR   0,0,3*DESCR                                              6347
       DESCR   0,0,0                                                    6348
       DESCR   SCOKFN,FNF,2
       DESCR   6*DESCR,0,0                                              6350
       DESCR   0,0,0                                                    6351
       DESCR   ARBNFN,FNF,2
       DESCR   9*DESCR,0,12*DESCR                                       6353
       DESCR   0,0,0                                                    6354
       DESCR   ARBFFN,FNF,2
       DESCR   0,0,0                                                    6356
       DESCR   0,0,0                                                    6357
*
ARTAL  DESCR   ARTAL,TTL+MARK,6*DESCR                                   6359
       DESCR   EARBFN,FNF,2
       DESCR   0,0,3*DESCR                                              6361
       DESCR   0,0,0                                                    6362
       DESCR   SCOKFN,FNF,2
       DESCR   6*DESCR,0,0                                              6364
       DESCR   0,0,0                                                    6365
*
BALPT  DESCR   BALPT,TTL+MARK,9*DESCR                                   6367
       DESCR   SCOKFN,FNF,2        BAL
       DESCR   0,0,3*DESCR                                              6369
       DESCR   0,0,0                                                    6370
       DESCR   BALFN,FNF,2
       DESCR   6*DESCR,0,0                                              6372
       DESCR   0,0,0                                                    6373
       DESCR   BALFFN,FNF,2
       DESCR   6*DESCR,0,0                                              6375
       DESCR   0,0,0                                                    6376
*
FAILPT DESCR   FAILPT,TTL+MARK,3*DESCR                                  6378
       DESCR   SALFFN,FNF,2        FAIL
       DESCR   0,0,0                                                    6380
       DESCR   0,0,0                                                    6381
*
FNCEPT DESCR   FNCEPT,TTL+MARK,3*DESCR                                  6383
       DESCR   FNCEFN,FNF,2        FENCE
       DESCR   0,0,0                                                    6385
       DESCR   0,0,0                                                    6386
*
MXARPT DESCR   MXARPT,TTL+MARK,12*DESCR
       DESCR   SCOKFN,FNF,2        MAXARB
       DESCR   0,0,3*DESCR
       DESCR   0,0,0
       DESCR   MXARFN,FNF,2
       DESCR   6*DESCR,0,9*DESCR
       DESCR   0,0,0
       DESCR   MXAFFN,FNF,2
       DESCR   6*DESCR,0,9*DESCR
       DESCR   0,0,0
       DESCR   SCOKFN,FNF,2
       DESCR   0,0,0
       DESCR   0,0,0
*
REMPT  DESCR   REMPT,TTL+MARK,4*DESCR                                   6388
       DESCR   RTBFN,FNF,3         REM
       DESCR   0,0,0                                                    6390
       DESCR   0,0,0                                                    6391
       DESCR   0,0,I                                                    6392
*
STARPT DESCR   STARPT,TTL+MARK,11*DESCR                                 6394
       DESCR   STARFN,FNF,3
       DESCR   0,0,4*DESCR                                              6396
       DESCR   1,0,0                                                    6397
       DESCR   0,0,0                                                    6398
       DESCR   SCOKFN,FNF,2
       DESCR   7*DESCR,0,0                                              6400
       DESCR   0,0,0                                                    6401
       DESCR   DSARFN,FNF,3
       DESCR   0,0,4*DESCR                                              6403
       DESCR   0,0,0                                                    6404
       DESCR   0,0,0                                                    6405
*
SUCCPT DESCR   SUCCPT,TTL+MARK,3*DESCR                                  6407
       DESCR   SUCFFN,FNF,2        SUCCEED
       DESCR   0,0,0                                                    6409
       DESCR   0,0,0                                                    6410
*
TVALPL DESCR   TVALPL,TTL+MARK,2*DESCR                                  6422
       DESCR   0,0,0               VALUE trace                          6423
       DESCR   0,0,0                                                    6424
TLABPL DESCR   TLABPL,TTL+MARK,2*DESCR                                  6425
       DESCR   0,0,0               LABEL trace                          6426
       DESCR   0,0,0                                                    6427
TFENPL DESCR   TFENPL,TTL+MARK,2*DESCR                                  6428
       DESCR   0,0,0               CALL trace                           6429
       DESCR   0,0,0                                                    6430
TFEXPL DESCR   TFEXPL,TTL+MARK,2*DESCR                                  6431
       DESCR   0,0,0               RETURN trace                         6432
       DESCR   0,0,0                                                    6433
TKEYPL DESCR   TKEYPL,TTL+MARK,2*DESCR                                  6434
       DESCR   0,0,0               KEYWORD trace                        6435
       DESCR   0,0,0                                                    6436
*
VALBLK DESCR   VALBLK,TTL+MARK,6*DESCR                                  6438
       DESCR   0,0,S               STRING                               6439
       DESCR   0,0,0               0 offset                             6440
       DESCR   0,0,N               NAME                                 6441
       DESCR   0,0,0               0 offset                             6442
       DESCR   0,0,K               KEYWORD (NAME)                       6443
       DESCR   0,0,0               0 offset                             6444
*
INITLS DESCR   INITLS,TTL+MARK,8*DESCR                                  5899
       DESCR   DTLIST,0,0                                               5900
       DESCR   FNLIST,0,0                                               5901
       DESCR   INLIST,0,0                                               5902
       DESCR   KNLIST,0,0                                               5903
       DESCR   KVLIST,0,0                                               5904
       DESCR   OTLIST,0,0                                               5905
       DESCR   OTSATL,0,0                                               5906
       DESCR   TRLIST,0,0                                               5907
*
ENDLOC DHERE   ,
       END     ,
